Sync with portage [Fri Jun 17 18:35:28 MSK 2022].

akrasnyh
root 2 years ago
parent abdde5ada5
commit 5e56e0f085

Binary file not shown.

Binary file not shown.

@ -14,7 +14,7 @@ SRC_URI="https://github.com/mgorny/eclean-kernel/archive/v${PV}.tar.gz -> ${P}.t
LICENSE="BSD"
SLOT="0"
KEYWORDS="amd64 x86"
KEYWORDS="amd64 ~riscv x86"
IUSE="lz4 lzo zstd"
RDEPEND="

Binary file not shown.

@ -10,7 +10,7 @@ if [[ ${PV} == *9999* ]]; then
inherit git-r3
else
SRC_URI="https://github.com/thewtex/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
KEYWORDS="amd64 ~arm64 ~riscv x86"
KEYWORDS="amd64 ~arm64 ~ppc64 ~riscv x86"
fi
DESCRIPTION="CPU, RAM memory, and load monitor for use with tmux"

Binary file not shown.

@ -19,7 +19,7 @@ SRC_URI="https://repo1.maven.org/maven2/net/bytebuddy/${PN}/${PV}/${P}-sources.j
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="amd64 ~arm arm64 ~ppc64 x86"
KEYWORDS="amd64 ~arm arm64 ppc64 x86"
# Compile dependencies
# POM: ${P}.pom

@ -17,7 +17,7 @@ SRC_URI="https://repo1.maven.org/maven2/net/bytebuddy/${PN}/${PV}/${P}-sources.j
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="amd64 ~arm arm64 ~ppc64 x86"
KEYWORDS="amd64 ~arm arm64 ppc64 x86"
# Compile dependencies
# POM: ${P}.pom

@ -17,7 +17,7 @@ SRC_URI="https://repo1.maven.org/maven2/com/google/code/findbugs/${PN}/${PV}/${P
LICENSE="LGPL-3"
SLOT="0"
KEYWORDS="amd64 ~arm arm64 ~ppc64 x86"
KEYWORDS="amd64 ~arm arm64 ppc64 x86"
# Common dependencies
# POM: ${P}.pom

@ -18,7 +18,7 @@ SRC_URI="https://github.com/google/${PN}/archive/${PN}-parent-${PV}.tar.gz -> ${
LICENSE="Apache-2.0"
SLOT="2.9"
KEYWORDS="amd64 ~arm arm64 ~ppc64 x86"
KEYWORDS="amd64 ~arm arm64 ppc64 x86"
DEPEND="
virtual/jdk:11

@ -1,2 +1 @@
DIST guava-20.0.tar.gz 2522092 BLAKE2B 2ca76a71d0c169b80bfaa3e9847b2e465c57aabc0a67622a69519808fa8455146228747dc20e999ebc20ef7cd5fec1cfa82f6c025e9378011619cfedbc2c7d6c SHA512 e89eee8e66502f208878af286c660393712b12fb37647ec70719ca7c5184686c8dc5fc59d45c1813d792ecad9421e2c077dab075f76b1907c04f9f6e80567ac9
DIST guava-30.1.1.tar.gz 5404546 BLAKE2B 818ef4b17c4f0c8e92c327f046434a3bb428ac35d6e95edd6d6be558c755d138a8ac7f8ad2032073cad131890d8f838e896fff84ba217f8305be8bd65c619a48 SHA512 23b30d886a3200b8f998897ca7bc424b2d223a4fecb03ab644e08a989a85f008e30ef093055e6305c4148a1eb8919c407e35d19f492c5b189830bd115e9484f2

@ -1,36 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
JAVA_PKG_IUSE="doc source"
MAVEN_ID="com.google.guava:guava:20.0"
inherit java-pkg-2 java-pkg-simple
DESCRIPTION="A collection of Google's core Java libraries"
HOMEPAGE="https://github.com/google/guava"
SRC_URI="https://github.com/google/guava/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="${PV%.*}"
KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
CP_DEPEND="
dev-java/animal-sniffer-annotations:0
dev-java/error-prone-annotations:0
dev-java/jsr305:0
"
RDEPEND="${CP_DEPEND}
>=virtual/jre-1.8:*"
DEPEND="${CP_DEPEND}
>=virtual/jdk-1.8:*
dev-java/j2objc-annotations:0"
S="${WORKDIR}/${P}/${PN}"
JAVA_SRC_DIR="src"
src_configure() {
JAVA_GENTOO_CLASSPATH_EXTRA=$(java-pkg_getjars --build-only j2objc-annotations)
}

@ -1,36 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
JAVA_PKG_IUSE="doc source"
MAVEN_ID="com.google.guava:guava:20.0"
inherit java-pkg-2 java-pkg-simple
DESCRIPTION="A collection of Google's core Java libraries"
HOMEPAGE="https://github.com/google/guava"
SRC_URI="https://github.com/google/guava/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="${PV%.*}"
KEYWORDS="amd64 ~arm arm64 ppc64 x86"
CP_DEPEND="
dev-java/animal-sniffer-annotations:0
dev-java/error-prone-annotations:0
dev-java/jsr305:0
"
RDEPEND="${CP_DEPEND}
>=virtual/jre-1.7"
DEPEND="${CP_DEPEND}
>=virtual/jdk-1.7
dev-java/j2objc-annotations:0"
S="${WORKDIR}/${P}/${PN}"
JAVA_SRC_DIR="src"
src_configure() {
JAVA_GENTOO_CLASSPATH_EXTRA=$(java-pkg_getjars --build-only j2objc-annotations)
}

@ -1,152 +0,0 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
JAVA_PKG_IUSE="doc source"
MAVEN_ID="org.python:jython:2.7.0"
inherit java-pkg-2 java-ant-2 python-utils-r1 flag-o-matic
MY_PV=${PV/_beta/-b}
MY_P=${PN}-${MY_PV}
DESCRIPTION="An implementation of Python written in Java"
HOMEPAGE="https://www.jython.org"
SRC_URI="https://search.maven.org/remotecontent?filepath=org/python/${PN}/${MY_PV}/${MY_P}-sources.jar"
LICENSE="PSF-2"
SLOT="2.7"
KEYWORDS="amd64 ~arm arm64 ppc64 x86 ~amd64-linux ~x86-linux"
IUSE="examples test"
CP_DEPEND="dev-java/antlr:3
dev-java/netty-transport:0
dev-java/asm:9
dev-java/commons-compress:0
dev-java/guava:20
dev-java/jffi:1.2
dev-java/jline:2
dev-java/icu4j:70
dev-java/jnr-constants:0
dev-java/jnr-posix:3.0
dev-java/jnr-netdb:1.0
dev-java/stringtemplate:0
dev-java/xerces:2
java-virtuals/servlet-api:3.0"
RDEPEND="${CP_DEPEND}
>=virtual/jre-1.8:*"
DEPEND="${CP_DEPEND}
>=virtual/jdk-1.8:*
dev-java/ant-core:0
test? (
dev-java/junit:4
dev-java/ant-junit:0
)"
BDEPEND="app-arch/unzip"
S=${WORKDIR}
RESTRICT="test"
JAVA_ANT_REWRITE_CLASSPATH="yes"
JAVA_ANT_CLASSPATH_TAGS+=" java"
EANT_BUILD_TARGET="developer-build"
EANT_TEST_EXTRA_ARGS="-Dpython.home=dist"
# jdbc-informix and jdbc-oracle-bin (requires registration) aren't exposed.
# Uncomment and add to CDEPEND if you want either of them
#EANT_GENTOO_CLASSPATH+=",jdbc-informix" EANT_EXTRA_ARGS+=" -Dinformix.present"
#EANT_GENTOO_CLASSPATH+=",jdbc-oracle-bin" EANT_EXTRA_ARGS+=" -Doracle.present"
PATCHES=(
"${FILESDIR}"/${PN}-2.5.2-distutils_scripts_location.patch
"${FILESDIR}"/${PN}-2.5.2-respect_PYTHONPATH.patch
"${FILESDIR}"/${PN}-2.7_beta1-ant.patch
"${FILESDIR}"/${PN}-2.7_beta1-dont-always-recompile-classes.patch
"${FILESDIR}"/${PN}-2.7_beta2-maxrepeat-import.patch
"${FILESDIR}"/${PN}-2.7.0-build.xml.patch
"${FILESDIR}"/CVE-2016-4000.patch
)
src_prepare() {
default
find \( -name '*.jar' -o -name '*.class' \
-o -name '*.pyc' -o -name '*.exe' \) -delete
# needed for launchertest
chmod +x tests/shell/test-jython.sh || die
java-pkg-2_src_prepare
}
src_configure() {
# apparently this can cause problems
append-flags -fno-stack-protector
EANT_GENTOO_CLASSPATH_EXTRA="$(java-pkg_getjars --with-dependencies antlr-3,jnr-posix-3.0)"
EANT_GENTOO_CLASSPATH_EXTRA+=":$(java-pkg_getjars --build-only ant-core)"
}
src_test() {
java-pkg-2_src_test
}
src_install() {
local instdir=/usr/share/${PN}-${SLOT}
java-pkg_newjar dist/${PN}-dev.jar
java-pkg_register-optional-dependency jdbc-mysql
java-pkg_register-optional-dependency jdbc-postgresql
insinto ${instdir}
doins -r dist/{Lib,registry}
dodoc ACKNOWLEDGMENTS NEWS README.txt
use doc && java-pkg_dohtml -r dist/Doc/javadoc
use source && java-pkg_dosrc src/*
use examples && java-pkg_doexamples Demo/*
local java_args=(
-Dpython.home="${EPREFIX}"/usr/share/${PN}-${SLOT}
-Dpython.executable="${EPREFIX}"/usr/bin/jython${SLOT}
-Dpython.cachedir="\${HOME}/.jythoncachedir"
)
java-pkg_dolauncher jython${SLOT} \
--main org.python.util.jython \
--java_args "${java_args[*]}"
# we need a wrapper to help python_optimize
cat <<-EOF > "${T}"/jython
exec java -cp "$(java-pkg_getjars "${EANT_GENTOO_CLASSPATH}"):${EANT_GENTOO_CLASSPATH_EXTRA}:dist/${PN}-dev.jar" \
-Dpython.home="${ED}${instdir}" \
-Dpython.cachedir="${T}/.jythoncachedir" \
-Duser.home="${T}" \
org.python.util.jython "\${@}"
EOF
chmod +x "${T}"/jython || die
local -x PYTHON="${T}"/jython
# we can't get the path from the interpreter since it does some
# magic that fails on non-installed copy...
_python_export jython${SLOT} EPYTHON
# compile tests (everything else is compiled already)
# we're keeping it quiet since jython reports errors verbosely
# and some of the tests are supposed to trigger compile errors
python_optimize "${ED}${instdir}"/Lib/test &>/dev/null
# for python-exec
echo "EPYTHON='${EPYTHON}'" > epython.py || die
python_moduleinto "/usr/share/jython-${SLOT}/Lib/site-packages"
python_domodule epython.py
# some of the class files end up with newer timestamps than the files they
# were generated from, make sure this doesn't happen
find "${ED}${instdir}"/Lib/ -name '*.class' | xargs touch
}

@ -17,7 +17,7 @@ SRC_URI="https://search.maven.org/remotecontent?filepath=org/python/${PN}/${MY_P
LICENSE="PSF-2"
SLOT="2.7"
KEYWORDS="amd64 ~arm arm64 ~ppc64 x86 ~amd64-linux ~x86-linux"
KEYWORDS="amd64 ~arm arm64 ppc64 x86 ~amd64-linux ~x86-linux"
IUSE="examples test"
CP_DEPEND="dev-java/antlr:3

@ -19,7 +19,7 @@ SRC_URI="https://github.com/qos-ch/logback/archive/v_${PV}.tar.gz -> logback-${P
LICENSE="EPL-1.0 LGPL-3"
SLOT="0"
KEYWORDS="amd64 ~arm arm64 ~ppc64 x86"
KEYWORDS="amd64 ~arm arm64 ppc64 x86"
# Common dependencies
# POM: pom.xml

@ -18,7 +18,7 @@ SRC_URI="https://github.com/qos-ch/logback/archive/v_${PV}.tar.gz -> logback-${P
LICENSE="EPL-1.0 LGPL-3"
SLOT="0"
KEYWORDS="amd64 ~arm arm64 ~ppc64 x86"
KEYWORDS="amd64 ~arm arm64 ppc64 x86"
# Common dependencies
# POM: pom.xml

@ -16,7 +16,7 @@ SRC_URI="https://codeload.github.com/mockito/mockito/tar.gz/v${PV} -> ${P}.tar.g
LICENSE="MIT"
SLOT="4"
KEYWORDS="amd64 ~arm arm64 ~ppc64 x86"
KEYWORDS="amd64 ~arm arm64 ppc64 x86"
# Common dependencies
# POM: ${PN}-core-${PV}.pom

@ -18,7 +18,7 @@ SRC_URI="https://github.com/netty/netty/archive/refs/tags/netty-${PV}.Final.tar.
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="amd64 ~arm arm64 ~ppc64 x86"
KEYWORDS="amd64 ~arm arm64 ppc64 x86"
# We do not build the full range of modules provided by netty but only what
# was available before in netty-common, netty-buffer and netty-transport.

@ -1,2 +1 @@
DIST reflections-0.9.10-sources.jar 53049 BLAKE2B 23491098dc648206161d983148bf11a1c4523df0593c903f9dbf03672b481d85aabaed7733a5d829b7f334e51d53dadde3fd439e62f9873ceb11f49f40a2cfef SHA512 940b80ed43aa900177e6c3551980eafe10f7ea16a1e5c0d24fc8c1e29f1e0155aae83e24f60af10f9743449ed38d2d3b211f3668fafbd95a6a2cb9c5581f56bf
DIST reflections-0.9.12.tar.gz 48235 BLAKE2B c82bd69f4433d8db738fcd32dd7fbf643984917622853b1886e15b906a91579de0193daf0fc1a9642c12d13de8236acf3e1f1409a18713b37c6e705a3cae34bd SHA512 8f8c7603ab73b599c6e2160f42b61c4e0eedef9981c06124bba0437d6636e7bf8a916784e266754562dc17f4d3ccf8df6c9ba707d1a7c38d97dc5eea9138064f

@ -1,31 +0,0 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
JAVA_PKG_IUSE="doc source"
inherit java-pkg-2 java-pkg-simple
DESCRIPTION="Java runtime metadata analysis"
HOMEPAGE="https://github.com/ronmamo/reflections"
SRC_URI="http://search.maven.org/remotecontent?filepath=org/${PN}/${PN}/${PV}/${P}-sources.jar"
LICENSE="WTFPL-2"
SLOT="0"
KEYWORDS="amd64 ~arm arm64 ppc64 x86"
CP_DEPEND="dev-java/commons-vfs:2
dev-java/dom4j:1
dev-java/gson:2.6
dev-java/guava:20
dev-java/javassist:3
dev-java/jsr305:0
dev-java/slf4j-api:0
dev-java/tomcat-servlet-api:3.1"
RDEPEND=">=virtual/jre-1.7
${CP_DEPEND}"
DEPEND=">=virtual/jdk-1.7
${CP_DEPEND}
app-arch/unzip"

@ -18,7 +18,7 @@ SRC_URI="https://github.com/ronmamo/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="WTFPL-2 BSD-2"
SLOT="0"
KEYWORDS="amd64 ~arm arm64 ~ppc64 x86"
KEYWORDS="amd64 ~arm arm64 ppc64 x86"
# Common dependencies
# POM: pom.xml

@ -18,7 +18,7 @@ SRC_URI="mirror://apache/xmlgraphics/commons/source/${P}-src.tar.gz"
LICENSE="Apache-2.0"
SLOT="2"
KEYWORDS="amd64 arm64 ~ppc64 x86"
KEYWORDS="amd64 arm64 ppc64 x86"
# Common dependencies
# POM: pom.xml

@ -1,66 +0,0 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# Skeleton command:
# java-ebuilder --generate-ebuild --workdir . --pom pom.xml --download-uri mirror://apache/xmlgraphics/commons/source/2.7-src.tar.gz --slot 2 --keywords "~amd64 ~arm64 ~ppc64 ~x86" --ebuild xmlgraphics-commons-2.7.ebuild
EAPI=8
JAVA_PKG_IUSE="doc source test"
MAVEN_ID="org.apache.xmlgraphics:xmlgraphics-commons:2.7"
JAVA_TESTING_FRAMEWORKS="junit-4"
inherit java-pkg-2 java-pkg-simple
DESCRIPTION="XML Graphics Commons"
HOMEPAGE="https://xmlgraphics.apache.org/commons/"
SRC_URI="mirror://apache/xmlgraphics/commons/source/${P}-src.tar.gz"
LICENSE="Apache-2.0"
SLOT="2"
KEYWORDS="amd64 arm64 ppc64 x86"
# Tests don't even compile with that old mockito version.
RESTRICT="test"
# Common dependencies
# POM: pom.xml
# commons-io:commons-io:1.3.2 -> >=dev-java/commons-io-2.11.0:1
# commons-logging:commons-logging:1.2 -> >=dev-java/commons-logging-1.2:0
CP_DEPEND="
dev-java/commons-io:1
dev-java/commons-logging:0
"
# Compile dependencies
# POM: pom.xml
# test? junit:junit:4.11 -> >=dev-java/junit-4.13.2:4
# test? org.mockito:mockito-core:2.28.2 -> !!!suitable-mavenVersion-not-found!!!
# test? xml-resolver:xml-resolver:1.2 -> >=dev-java/xml-commons-resolver-1.2:0
DEPEND="${CP_DEPEND}
>=virtual/jdk-1.8:*
test? (
dev-java/mockito:0
dev-java/xml-commons-resolver:0
)"
RDEPEND="${CP_DEPEND}
>=virtual/jre-1.8:*"
DOCS=( LICENSE NOTICE README )
S="${WORKDIR}/${P}"
JAVA_SRC_DIR="src/main/java"
JAVA_RESOURCE_DIRS="src/main/resources"
JAVA_TEST_GENTOO_CLASSPATH="junit-4,mockito,xml-commons-resolver"
JAVA_TEST_SRC_DIR="src/test/java"
JAVA_TEST_RESOURCE_DIRS="src/test/resources"
src_install() {
default # https://bugs.gentoo.org/789582
java-pkg-simple_src_install
}

Binary file not shown.

@ -18,7 +18,7 @@ SRC_URI="https://github.com/LuaJIT/LuaJIT/archive/${GIT_COMMIT}.tar.gz -> ${P}.t
LICENSE="MIT"
# this should probably be pkgmoved to 2.0 for sake of consistency.
SLOT="2"
KEYWORDS="amd64 ~arm ~arm64 -hppa ppc -riscv -sparc x86 ~amd64-linux ~x86-linux"
KEYWORDS="amd64 arm ~arm64 -hppa ppc -riscv -sparc x86 ~amd64-linux ~x86-linux"
IUSE="lua52compat static-libs"
PATCHES=(

@ -1,31 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
DIST_AUTHOR=XAOC
DIST_VERSION=0.12
DIST_A_EXT=tar.gz
inherit perl-module virtualx
DESCRIPTION="Perl binding for the C library gtksourceview"
SLOT="0"
LICENSE="|| ( GPL-2+ Artistic-2 )"
KEYWORDS="~amd64 ~x86"
IUSE=""
RDEPEND="
dev-perl/Gtk2
>=dev-perl/glib-perl-1.160.0
"
DEPEND="${RDEPEND}
dev-perl/ExtUtils-Depends
dev-perl/ExtUtils-PkgConfig
virtual/perl-ExtUtils-MakeMaker
x11-libs/gtksourceview:2.0
"
src_test() {
virtx perl-module_src_test
}

@ -1 +0,0 @@
DIST Gtk2-SourceView2-0.12.tar.gz 24647 BLAKE2B 048e44d954ad14736d3a9f631e6370ac055ab979502b9c9ef07f35398bfd24f10fd587cb1d86bb22951b7189efffe18ee9919f0b77df89821583e9b79e126de9 SHA512 c82741a23b9cc0560a70afeab7b0728a4d3e6769515bd68f894708d6f9ab72772fca5f4d74750e76e71d44a48732e6366bb1953f0d712148d0bc73c5aa27e450

@ -1,12 +0,0 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="project">
<email>perl@gentoo.org</email>
<name>Gentoo Perl Project</name>
</maintainer>
<upstream>
<remote-id type="cpan">Gtk2-SourceView</remote-id>
<remote-id type="cpan-module">Gtk2::SourceView2</remote-id>
</upstream>
</pkgmetadata>

@ -1,33 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
DIST_AUTHOR=XAOC
DIST_VERSION=0.07
DIST_EXAMPLES=( "examples/*" )
inherit perl-module virtualx
DESCRIPTION="Perl binding for C libunique library"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE=""
RDEPEND="
dev-libs/libunique:1
dev-perl/Gtk2
"
DEPEND="${RDEPEND}
"
BDEPEND="${RDEPEND}
dev-perl/glib-perl
dev-perl/ExtUtils-Depends
dev-perl/ExtUtils-PkgConfig
"
PATCHES=( "${FILESDIR}"/${PN}-0.05-implicit-pointer.patch )
src_test() {
virtx perl-module_src_test
}

@ -1 +0,0 @@
DIST Gtk2-Unique-0.07.tar.gz 12755 BLAKE2B 2220a736fbe4c2bad95ed5dd28c908d23617f8c374be91718ea05fada3d914641b9f64bab7bebe0d3689a54141e7b8d9d78d6fe755fb4f4a50e213eba2563273 SHA512 62975a16840be7af7d5657c816367572d1b5140585d1275331e2d05dcefe18ebcccf8cb81747da92f12e085a5bef1c0ba2dcf4d2fc886baef97a22317e1e04f6

@ -1,13 +0,0 @@
Index: Gtk2-Unique-0.05/xs/UniqueApp.xs
===================================================================
--- Gtk2-Unique-0.05.orig/xs/UniqueApp.xs
+++ Gtk2-Unique-0.05/xs/UniqueApp.xs
@@ -1,6 +1,8 @@
#include "unique-perl.h"
#include <gperl_marshal.h>
+G_CONST_RETURN gchar * unique_command_to_string (UniqueApp *app, gint command);
+
static void
perl_unique_app_marshall_message_received (
GClosure *closure,

@ -1,12 +0,0 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="project">
<email>perl@gentoo.org</email>
<name>Gentoo Perl Project</name>
</maintainer>
<upstream>
<remote-id type="cpan">Gtk2-Unique</remote-id>
<remote-id type="cpan-module">Gtk2::Unique</remote-id>
</upstream>
</pkgmetadata>

Binary file not shown.

Binary file not shown.

@ -1,2 +1 @@
DIST eventlet-0.33.0.tar.gz 414929 BLAKE2B cfb2500d25ed56f5eb7b81968286b1d7d0286511e1658dca8ab4fcf07029390168aea1f95092b5f1b486bd6fb34a96b762c2087cd19f903d232f1da183508888 SHA512 52ef5c6997d0c8a3b55d5f6e969320e06950503984c90440b484020ba346d622ba99abf2bd389b962534849b0c70d80b06f110b2586417f27fb6dde725bfaef4
DIST eventlet-0.33.1.tar.gz 415294 BLAKE2B 25efb9b9848a6e0db2040d111288447aa07ceb70d2cbd9b3d189a2ca58aadad6b6d64054f76f3329ff7ca832efccbabb780c839c4db6d95a5b623d80079b7da3 SHA512 c8ece6a26039631b13ecc188f480f348a42551267fb6135551899dec7a23d0cfd032c14728e114901e4d256bf580203bfbdb1795881abdd71e49a53f8ed58964

@ -1,58 +0,0 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( python3_{8..9} )
inherit distutils-r1
DESCRIPTION="Highly concurrent networking library"
HOMEPAGE="https://pypi.org/project/eventlet/ https://github.com/eventlet/eventlet/"
SRC_URI="mirror://pypi/e/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="amd64 arm arm64 ppc ppc64 ~riscv ~s390 sparc x86"
IUSE="examples"
RDEPEND="
>=dev-python/dnspython-1.15.0[${PYTHON_USEDEP}]
>=dev-python/six-1.10.0[${PYTHON_USEDEP}]
virtual/python-greenlet[${PYTHON_USEDEP}]
"
BDEPEND="
test? (
dev-python/pyopenssl[${PYTHON_USEDEP}]
)
"
PATCHES=(
"${FILESDIR}/eventlet-0.25.1-tests.patch"
"${FILESDIR}/eventlet-0.30.0-tests-socket.patch"
"${FILESDIR}/eventlet-0.30.2-test-timeout.patch"
)
distutils_enable_tests nose
src_prepare() {
# increase timeout - #791748
sed -e '/eventlet.sleep/s/0.1/5.0/' -i tests/isolated/patcher_fork_after_monkey_patch.py || die
distutils-r1_src_prepare
}
python_test() {
unset PYTHONPATH
export TMPDIR="${T}"
nosetests -v -x || die
}
python_install_all() {
if use examples; then
docompress -x "/usr/share/doc/${PF}/examples"
docinto examples
dodoc -r examples/.
fi
distutils-r1_python_install_all
}

@ -1,41 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( pypy3 python3_{8..10} )
inherit distutils-r1
DESCRIPTION="A wrapper around PyFlakes, pep8 & mccabe"
HOMEPAGE="https://gitlab.com/pycqa/flake8 https://pypi.org/project/flake8/"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~x64-macos"
# requires.txt inc. mccabe however that creates a circular dep
RDEPEND="
>=dev-python/pyflakes-2.4.0[${PYTHON_USEDEP}]
<dev-python/pyflakes-2.5.0[${PYTHON_USEDEP}]
>=dev-python/pycodestyle-2.8.0[${PYTHON_USEDEP}]
<dev-python/pycodestyle-2.9.0[${PYTHON_USEDEP}]
"
PDEPEND="
>=dev-python/mccabe-0.6.0[${PYTHON_USEDEP}]
<dev-python/mccabe-0.7.0[${PYTHON_USEDEP}]
"
BDEPEND="${RDEPEND}
test? (
${PDEPEND}
)
"
distutils_enable_sphinx docs/source dev-python/sphinx-prompt dev-python/sphinx_rtd_theme
distutils_enable_tests --install pytest
src_prepare() {
# remove version-limited dep
sed -i -e '/importlib-metadata/d' setup.cfg || die
distutils-r1_src_prepare
}

@ -1,2 +1 @@
DIST filesystem_spec-2022.3.0.tar.gz 331768 BLAKE2B 8f4e75f839419f7445a9291e3b67914338b0371742f1d3a556962b6e5abb31379cfeba52e0101f7660fd69569dabb49190820323b7e067a0c33c2184422ba067 SHA512 7c793b506e93f727bc4533a778f6108f82c9ab9274a8d259ecf483e0acbbfc97e3c8b07735f772f996867053d7e1f9c22687865f4f64cae6eb4fb511de2e9220
DIST filesystem_spec-2022.5.0.gh.tar.gz 337607 BLAKE2B 80f22e6c1ca0ec4194b41a85171d466792812c456129a05c286d8c46de950aeed4cd7a0ee01082e9dbfee5b89ca1a36441f961d7e61be816eb783cad8bca0979 SHA512 687dd0e7018e04d719f7c11e2238afe06f4e8d5eb7193e24dd000dbd79e5c52bed5fde919de47b0dab2d66e9ba93f28370a32f2458a6771e728b0ece68609504

@ -1,53 +0,0 @@
# Copyright 2020-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{8..10} )
inherit distutils-r1
MY_P=filesystem_spec-${PV}
DESCRIPTION="A specification that python filesystems should adhere to"
HOMEPAGE="https://github.com/fsspec/filesystem_spec/
https://pypi.org/project/fsspec/"
SRC_URI="
https://github.com/fsspec/filesystem_spec/archive/${PV}.tar.gz
-> ${MY_P}.tar.gz"
S=${WORKDIR}/${MY_P}
LICENSE="BSD"
SLOT="0"
KEYWORDS="amd64 ~arm ~arm64 ~ppc64 ~riscv x86"
BDEPEND="
dev-python/versioneer[${PYTHON_USEDEP}]
test? (
dev-python/aiohttp[${PYTHON_USEDEP}]
dev-python/numpy[${PYTHON_USEDEP}]
dev-python/pytest-asyncio[${PYTHON_USEDEP}]
dev-python/pytest-mock[${PYTHON_USEDEP}]
dev-python/requests[${PYTHON_USEDEP}]
dev-vcs/git
)
"
distutils_enable_tests pytest
src_test() {
git config --global user.email "you@example.com" || die
git config --global user.name "Your Name" || die
distutils-r1_src_test
}
EPYTEST_DESELECT=(
fsspec/tests/test_spec.py::test_find
)
EPYTEST_IGNORE=(
# sftp and smb require server started via docker
fsspec/implementations/tests/test_dbfs.py
fsspec/implementations/tests/test_sftp.py
fsspec/implementations/tests/test_smb.py
)

@ -22,7 +22,7 @@ S=${WORKDIR}/${MY_P}
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
KEYWORDS="amd64 ~arm ~arm64 ~ppc64 ~riscv x86"
BDEPEND="
test? (

@ -9,9 +9,9 @@ inherit distutils-r1
DESCRIPTION="A fast and thorough lazy object proxy"
HOMEPAGE="
https://github.com/ionelmc/python-lazy-object-proxy
https://github.com/ionelmc/python-lazy-object-proxy/
https://pypi.org/project/lazy-object-proxy/
https://python-lazy-object-proxy.readthedocs.org/"
https://python-lazy-object-proxy.readthedocs.io/"
SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD"

@ -1,33 +0,0 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( python3_{8..10} pypy3 )
inherit distutils-r1
DESCRIPTION="A fast and thorough lazy object proxy"
HOMEPAGE="
https://github.com/ionelmc/python-lazy-object-proxy
https://pypi.org/project/lazy-object-proxy/
https://python-lazy-object-proxy.readthedocs.org/"
SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~x64-macos"
BDEPEND="
dev-python/setuptools_scm[${PYTHON_USEDEP}]
"
distutils_enable_tests pytest
python_prepare_all() {
# No need to benchmark
sed \
-e '/benchmark/s:test_:_&:g' \
-e '/pytest.mark.benchmark/d' \
-i tests/test_lazy_object_proxy.py || die
distutils-r1_python_prepare_all
}

@ -1,4 +1,3 @@
DIST freetype-2.6.1.tar.gz 2302080 BLAKE2B 6a5fb98e5fa6cf4b7d7533ad44e364227d8c2f7dded4c552d6e22e204c32b7858f20d41d1e809ecdad6e5353d6cec81bea0e0b06a4533363a41ecab83ce3f7ca SHA512 ff2daed64d712737085924c50e75862fafbcbb24eef6d72dac9eaae63bb656d7245397fd828f5d3e47ac847f7ff83d73dedfdd61fde1f7d6e0f0cdeb49bcf83b
DIST matplotlib-3.4.3.tar.gz 37850796 BLAKE2B 15b40da8f6973ece4a91fffb5caf249cb8642263bfc2a784ec482bfaad250b6d3beffb9d2ba8a03e5fa10abab02b0e35728a8499ccb870aca06df57c5c1f91f4 SHA512 c2fe54e7517a1417aa8e55596e83edd090534c07f22882634d6ba0a07196441b5bbdd15958473805d8e8871b1b73380487aff3224294d472cd6122490c783145
DIST matplotlib-3.5.1.tar.gz 35320470 BLAKE2B ebf69b62ac587c61ecf8442abaab302019f63a3c9d8db6f7f7fb32f4d14da554fd8305ea6dfed2ff86a5af4e7e4d2b81f14802692fe50c986f7da8545bd26c00 SHA512 a317dbd748e5fc1fafcf80020cb6d38a8888431487beded97acd59d759e67e54f59506b642e4a03d4351c1ac050d15e3f2e2b5443433debc78ddad52881c8d82
DIST matplotlib-3.5.2.tar.gz 35210006 BLAKE2B e3f90a0cf1d28f041a8cdd6920a8a4efe16169bb4acf85f7b2562196db306eeb692218728ea33c7b62214e7894e83a104954cbef38c45ccbb4f630bd35c0c36b SHA512 32844dfa85dbc43360c1773d748a58d2ab089111c51c825da62956c778a0eeaf10ca33a5c6c094295388a80d5873a2e1b17484e02b653e9e8e5ba98659329974

@ -1,239 +0,0 @@
From d44a24b3744b568fc12209ede6be782babb847b7 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Micha=C5=82=20G=C3=B3rny?= <mgorny@gentoo.org>
Date: Fri, 26 Mar 2021 13:42:49 +0100
Subject: [PATCH] Increase image comparison limits
Most of the tests require exact match which apparently doesn't always
happen in non-pristine environments. Some of them have very big
differences due to texlive font rendering changes.
---
lib/matplotlib/tests/test_arrow_patches.py | 6 +++---
lib/matplotlib/tests/test_axes.py | 4 ++--
lib/matplotlib/tests/test_backend_pgf.py | 8 +++++---
lib/matplotlib/tests/test_figure.py | 5 +++--
lib/matplotlib/tests/test_legend.py | 6 +++---
lib/matplotlib/tests/test_units.py | 4 ++--
lib/matplotlib/tests/test_usetex.py | 3 ++-
lib/mpl_toolkits/tests/test_axes_grid1.py | 2 +-
.../tests/test_axisartist_grid_helper_curvelinear.py | 2 +-
lib/mpl_toolkits/tests/test_mplot3d.py | 2 +-
10 files changed, 23 insertions(+), 19 deletions(-)
diff --git a/lib/matplotlib/tests/test_arrow_patches.py b/lib/matplotlib/tests/test_arrow_patches.py
index 3c95535e0..c4fad3486 100644
--- a/lib/matplotlib/tests/test_arrow_patches.py
+++ b/lib/matplotlib/tests/test_arrow_patches.py
@@ -67,7 +67,7 @@ def __prepare_fancyarrow_dpi_cor_test():
@image_comparison(['fancyarrow_dpi_cor_100dpi.png'], remove_text=True,
- tol=0 if platform.machine() == 'x86_64' else 0.02,
+ tol=0.015 if platform.machine() == 'x86_64' else 0.02,
savefig_kwarg=dict(dpi=100))
def test_fancyarrow_dpi_cor_100dpi():
"""
@@ -82,7 +82,7 @@ def test_fancyarrow_dpi_cor_100dpi():
@image_comparison(['fancyarrow_dpi_cor_200dpi.png'], remove_text=True,
- tol=0 if platform.machine() == 'x86_64' else 0.02,
+ tol=0.018 if platform.machine() == 'x86_64' else 0.02,
savefig_kwarg=dict(dpi=200))
def test_fancyarrow_dpi_cor_200dpi():
"""
@@ -115,7 +115,7 @@ def test_fancyarrow_dash():
@image_comparison(['arrow_styles.png'], style='mpl20', remove_text=True,
- tol=0 if platform.machine() == 'x86_64' else 0.005)
+ tol=0.005)
def test_arrow_styles():
styles = mpatches.ArrowStyle.get_styles()
diff --git a/lib/matplotlib/tests/test_axes.py b/lib/matplotlib/tests/test_axes.py
index ed76af576..772f96177 100644
--- a/lib/matplotlib/tests/test_axes.py
+++ b/lib/matplotlib/tests/test_axes.py
@@ -3807,7 +3807,7 @@ def test_hist_labels():
assert bars[0].get_label() == '00'
-@image_comparison(['transparent_markers'], remove_text=True)
+@image_comparison(['transparent_markers'], remove_text=True, tol=5)
def test_transparent_markers():
np.random.seed(0)
data = np.random.random(50)
@@ -4083,7 +4083,7 @@ def test_vertex_markers():
@image_comparison(['vline_hline_zorder', 'errorbar_zorder'],
- tol=0 if platform.machine() == 'x86_64' else 0.02)
+ tol=0.015 if platform.machine() == 'x86_64' else 0.02)
def test_eb_line_zorder():
x = list(range(10))
diff --git a/lib/matplotlib/tests/test_backend_pgf.py b/lib/matplotlib/tests/test_backend_pgf.py
index 75f50ecbf..6973a9681 100644
--- a/lib/matplotlib/tests/test_backend_pgf.py
+++ b/lib/matplotlib/tests/test_backend_pgf.py
@@ -91,7 +91,8 @@ def test_xelatex():
@needs_pdflatex
@pytest.mark.skipif(not _has_tex_package('ucs'), reason='needs ucs.sty')
@pytest.mark.backend('pgf')
-@image_comparison(['pgf_pdflatex.pdf'], style='default')
+@image_comparison(['pgf_pdflatex.pdf'], style='default',
+ tol=11.669)
def test_pdflatex():
if os.environ.get('APPVEYOR'):
pytest.xfail("pdflatex test does not work on appveyor due to missing "
@@ -127,7 +128,7 @@ def test_rcupdate():
'pgf.preamble': ('\\usepackage[utf8x]{inputenc}'
'\\usepackage[T1]{fontenc}'
'\\usepackage{sfmath}')}]
- tol = [6, 0]
+ tol = [6, 14]
for i, rc_set in enumerate(rc_sets):
with mpl.rc_context(rc_set):
for substring, pkg in [('sfmath', 'sfmath'), ('utf8x', 'ucs')]:
@@ -153,7 +154,8 @@ def test_pathclip():
# test mixed mode rendering
@needs_xelatex
@pytest.mark.backend('pgf')
-@image_comparison(['pgf_mixedmode.pdf'], style='default')
+@image_comparison(['pgf_mixedmode.pdf'], style='default',
+ tol=1.086)
def test_mixedmode():
mpl.rcParams.update({'font.family': 'serif', 'pgf.rcfonts': False})
Y, X = np.ogrid[-1:1:40j, -1:1:40j]
diff --git a/lib/matplotlib/tests/test_figure.py b/lib/matplotlib/tests/test_figure.py
index 15f084fc1..14fc6b191 100644
--- a/lib/matplotlib/tests/test_figure.py
+++ b/lib/matplotlib/tests/test_figure.py
@@ -21,7 +21,7 @@ import pytest
@image_comparison(['figure_align_labels'], extensions=['png', 'svg'],
- tol=0 if platform.machine() == 'x86_64' else 0.01)
+ tol=0.02)
def test_align_labels():
fig = plt.figure(tight_layout=True)
gs = gridspec.GridSpec(3, 3)
@@ -902,7 +902,8 @@ def test_subfigure():
@image_comparison(['test_subfigure_ss.png'], style='mpl20',
savefig_kwarg={'facecolor': 'teal'},
- remove_text=False)
+ remove_text=False,
+ tol=0.013)
def test_subfigure_ss():
# test assigning the subfigure via subplotspec
np.random.seed(19680801)
diff --git a/lib/matplotlib/tests/test_legend.py b/lib/matplotlib/tests/test_legend.py
index cebf26ea0..d7a5c3a88 100644
--- a/lib/matplotlib/tests/test_legend.py
+++ b/lib/matplotlib/tests/test_legend.py
@@ -100,7 +100,7 @@ def test_multiple_keys():
@image_comparison(['rgba_alpha.png'], remove_text=True,
- tol=0 if platform.machine() == 'x86_64' else 0.01)
+ tol=0.02)
def test_alpha_rgba():
fig, ax = plt.subplots()
ax.plot(range(10), lw=5)
@@ -109,7 +109,7 @@ def test_alpha_rgba():
@image_comparison(['rcparam_alpha.png'], remove_text=True,
- tol=0 if platform.machine() == 'x86_64' else 0.01)
+ tol=0.02)
def test_alpha_rcparam():
fig, ax = plt.subplots()
ax.plot(range(10), lw=5)
@@ -135,7 +135,7 @@ def test_fancy():
@image_comparison(['framealpha'], remove_text=True,
- tol=0 if platform.machine() == 'x86_64' else 0.02)
+ tol=0.02)
def test_framealpha():
x = np.linspace(1, 100, 100)
y = x
diff --git a/lib/matplotlib/tests/test_units.py b/lib/matplotlib/tests/test_units.py
index 3f40a99a2..059a9f9a5 100644
--- a/lib/matplotlib/tests/test_units.py
+++ b/lib/matplotlib/tests/test_units.py
@@ -75,7 +75,7 @@ def quantity_converter():
# Tests that the conversion machinery works properly for classes that
# work as a facade over numpy arrays (like pint)
@image_comparison(['plot_pint.png'], remove_text=False, style='mpl20',
- tol=0 if platform.machine() == 'x86_64' else 0.01)
+ tol=0.002 if platform.machine() == 'x86_64' else 0.01)
def test_numpy_facade(quantity_converter):
# use former defaults to match existing baseline image
plt.rcParams['axes.formatter.limits'] = -7, 7
@@ -102,7 +102,7 @@ def test_numpy_facade(quantity_converter):
# Tests gh-8908
@image_comparison(['plot_masked_units.png'], remove_text=True, style='mpl20',
- tol=0 if platform.machine() == 'x86_64' else 0.01)
+ tol=0.02)
def test_plot_masked_units():
data = np.linspace(-5, 5)
data_masked = np.ma.array(data, mask=(data > -2) & (data < 2))
diff --git a/lib/matplotlib/tests/test_usetex.py b/lib/matplotlib/tests/test_usetex.py
index 2d79e155e..cc46fe00c 100644
--- a/lib/matplotlib/tests/test_usetex.py
+++ b/lib/matplotlib/tests/test_usetex.py
@@ -14,7 +14,8 @@ if not mpl.checkdep_usetex(True):
@image_comparison(
baseline_images=['test_usetex'],
extensions=['pdf', 'png'],
- style="mpl20")
+ style="mpl20",
+ tol=21)
def test_usetex():
mpl.rcParams['text.usetex'] = True
fig, ax = plt.subplots()
diff --git a/lib/mpl_toolkits/tests/test_axes_grid1.py b/lib/mpl_toolkits/tests/test_axes_grid1.py
index 0e1602e81..6a54b0d43 100644
--- a/lib/mpl_toolkits/tests/test_axes_grid1.py
+++ b/lib/mpl_toolkits/tests/test_axes_grid1.py
@@ -323,7 +323,7 @@ def test_zooming_with_inverted_axes():
@image_comparison(['anchored_direction_arrows.png'],
- tol=0 if platform.machine() == 'x86_64' else 0.01)
+ tol=0.02)
def test_anchored_direction_arrows():
fig, ax = plt.subplots()
ax.imshow(np.zeros((10, 10)), interpolation='nearest')
diff --git a/lib/mpl_toolkits/tests/test_axisartist_grid_helper_curvelinear.py b/lib/mpl_toolkits/tests/test_axisartist_grid_helper_curvelinear.py
index 9a78a2676..09300adac 100644
--- a/lib/mpl_toolkits/tests/test_axisartist_grid_helper_curvelinear.py
+++ b/lib/mpl_toolkits/tests/test_axisartist_grid_helper_curvelinear.py
@@ -17,7 +17,7 @@ from mpl_toolkits.axisartist.grid_helper_curvelinear import \
@image_comparison(['custom_transform.png'], style='default',
- tol=0.03 if platform.machine() == 'x86_64' else 0.04)
+ tol=0.039)
def test_custom_transform():
class MyTransform(Transform):
input_dims = output_dims = 2
diff --git a/lib/mpl_toolkits/tests/test_mplot3d.py b/lib/mpl_toolkits/tests/test_mplot3d.py
index f55edaa4a..60687be5b 100644
--- a/lib/mpl_toolkits/tests/test_mplot3d.py
+++ b/lib/mpl_toolkits/tests/test_mplot3d.py
@@ -1269,7 +1269,7 @@ def test_errorbar3d():
@image_comparison(['stem3d.png'], style='mpl20',
- tol=0.0 if platform.machine() == 'x86_64' else 0.003)
+ tol=0.003)
def test_stem3d():
fig, axs = plt.subplots(2, 3, figsize=(8, 6),
constrained_layout=True,
--
2.31.0

@ -1,38 +0,0 @@
From d73dd52edf7ec106cf2f6c0ffc79dcda31102ecd Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Micha=C5=82=20G=C3=B3rny?= <mgorny@gentoo.org>
Date: Sun, 20 Jun 2021 15:07:56 +0200
Subject: [PATCH] increase test_backend_pgf.py::test_xelatex[pdf] tol
---
lib/matplotlib/tests/test_backend_pgf.py | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/lib/matplotlib/tests/test_backend_pgf.py b/lib/matplotlib/tests/test_backend_pgf.py
index 55e375311..684f38fb7 100644
--- a/lib/matplotlib/tests/test_backend_pgf.py
+++ b/lib/matplotlib/tests/test_backend_pgf.py
@@ -80,7 +80,7 @@ def test_common_texification(plain_text, escaped_text):
# test compiling a figure to pdf with xelatex
@needs_xelatex
@pytest.mark.backend('pgf')
-@image_comparison(['pgf_xelatex.pdf'], style='default')
+@image_comparison(['pgf_xelatex.pdf'], style='default', tol=0.8)
def test_xelatex():
rc_xelatex = {'font.family': 'serif',
'pgf.rcfonts': False}
--
2.32.0
diff --git a/lib/matplotlib/tests/test_image.py b/lib/matplotlib/tests/test_image.py
index c635564..4352942 100644
--- a/lib/matplotlib/tests/test_image.py
+++ b/lib/matplotlib/tests/test_image.py
@@ -872,7 +872,7 @@ def test_imshow_endianess():
@image_comparison(['imshow_masked_interpolation'],
- tol=0 if platform.machine() == 'x86_64' else 0.01,
+ tol=0.01,
remove_text=True, style='mpl20')
def test_imshow_masked_interpolation():

@ -1,284 +0,0 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( python3_{8..10} )
PYTHON_REQ_USE='tk?,threads(+)'
inherit distutils-r1 flag-o-matic virtualx toolchain-funcs prefix
FT_PV=2.6.1
DESCRIPTION="Pure python plotting library with matlab like syntax"
HOMEPAGE="https://matplotlib.org/"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz
test? (
https://downloads.sourceforge.net/project/freetype/freetype2/${FT_PV}/freetype-${FT_PV}.tar.gz
)"
# Main license: matplotlib
# Some modules: BSD
# matplotlib/backends/qt4_editor: MIT
# Fonts: BitstreamVera, OFL-1.1
LICENSE="BitstreamVera BSD matplotlib MIT OFL-1.1"
SLOT="0"
KEYWORDS="amd64 arm arm64 hppa ~ia64 ppc ppc64 ~riscv ~s390 sparc x86"
IUSE="cairo doc excel examples gtk3 latex qt5 tk webagg wxwidgets"
# internal copy of pycxx highly patched
# dev-python/pycxx
RDEPEND="
dev-python/certifi[${PYTHON_USEDEP}]
>=dev-python/cycler-0.10.0-r1[${PYTHON_USEDEP}]
>=dev-python/kiwisolver-1.2.0[${PYTHON_USEDEP}]
>=dev-python/numpy-1.18.2[${PYTHON_USEDEP}]
>=dev-python/pillow-7.1.1[jpeg,${PYTHON_USEDEP}]
>=dev-python/pyparsing-2.2.1[${PYTHON_USEDEP}]
>=dev-python/python-dateutil-2.7[${PYTHON_USEDEP}]
>=dev-python/pytz-2019.3[${PYTHON_USEDEP}]
>=dev-python/six-1.14.0[${PYTHON_USEDEP}]
dev-python/versioneer[${PYTHON_USEDEP}]
media-fonts/dejavu
media-fonts/stix-fonts
media-libs/freetype:2
media-libs/libpng:0
>=media-libs/qhull-2013:=
virtual/imagemagick-tools[jpeg,tiff]
cairo? (
dev-python/cairocffi[${PYTHON_USEDEP}]
)
excel? (
dev-python/xlwt[${PYTHON_USEDEP}]
)
gtk3? (
>=dev-python/pygobject-3.40.1-r1:3[cairo?,${PYTHON_USEDEP}]
x11-libs/gtk+:3[introspection]
)
latex? (
virtual/latex-base
app-text/dvipng
app-text/ghostscript-gpl
app-text/poppler[utils]
dev-texlive/texlive-fontsrecommended
dev-texlive/texlive-latexextra
dev-texlive/texlive-luatex
dev-texlive/texlive-xetex
)
qt5? (
dev-python/PyQt5[gui,widgets,${PYTHON_USEDEP}]
)
webagg? (
>=www-servers/tornado-6.0.4[${PYTHON_USEDEP}]
)
wxwidgets? (
dev-python/wxpython:*[${PYTHON_USEDEP}]
)
"
BDEPEND="
${RDEPEND}
virtual/pkgconfig
doc? (
>=app-text/dvipng-1.15-r1
>=dev-python/colorspacious-1.1.2[${PYTHON_USEDEP}]
>=dev-python/ipython-1.18.2[${PYTHON_USEDEP}]
>=dev-python/numpydoc-0.9.2[${PYTHON_USEDEP}]
>=dev-python/scipy-1.4.1[${PYTHON_USEDEP}]
>=dev-python/sphinx-1.3.1[${PYTHON_USEDEP}]
>=dev-python/sphinx-gallery-0.3.1-r1[${PYTHON_USEDEP}]
>=dev-python/xlwt-1.3.0-r1[${PYTHON_USEDEP}]
virtual/latex-base
dev-texlive/texlive-latexextra
dev-texlive/texlive-fontsrecommended
dev-texlive/texlive-latexrecommended
dev-texlive/texlive-luatex
dev-texlive/texlive-xetex
>=media-gfx/graphviz-2.42.3[cairo]
)
test? (
dev-python/flaky[${PYTHON_USEDEP}]
dev-python/mock[${PYTHON_USEDEP}]
>=dev-python/pygobject-3.40.1-r1:3[cairo?,${PYTHON_USEDEP}]
>=www-servers/tornado-6.0.4[${PYTHON_USEDEP}]
x11-libs/gtk+:3[introspection]
)
"
# A few C++ source files are written to srcdir.
# Other than that, the ebuild shall be fit for out-of-source build.
DISTUTILS_IN_SOURCE_BUILD=1
distutils_enable_tests pytest
pkg_setup() {
unset DISPLAY # bug #278524
}
use_supported() {
case ${1} in
wxwidgets)
[[ ${EPYTHON} == python3.[678] ]]
;;
esac
return 0
}
use_setup() {
local uword="${2:-${1}}"
if use_supported "${1}" && use "${1}"; then
echo "${uword} = True"
echo "${uword}agg = True"
else
echo "${uword} = False"
echo "${uword}agg = False"
fi
}
python_prepare_all() {
# Generates test failures, but fedora does it
# local PATCHES=(
# "${FILESDIR}"/${P}-unbundle-pycxx.patch
# "${FILESDIR}"/${P}-unbundle-agg.patch
# )
# rm -r agg24 CXX || die
# rm -r agg24 || die
# cat > lib/${PN}/externals/six.py <<-EOF
# from __future__ import absolute_import
# from six import *
# EOF
local PATCHES=(
"${FILESDIR}"/matplotlib-3.4.0-test.patch
"${FILESDIR}"/matplotlib-3.4.3-test-extra.patch
"${FILESDIR}"/matplotlib-3.3.3-disable-lto.patch
)
# requires jupyter-nbconvert
rm lib/matplotlib/tests/test_backend_nbagg.py || die
sed \
-e 's/matplotlib.pyparsing_py[23]/pyparsing/g' \
-i lib/matplotlib/{mathtext,fontconfig_pattern}.py \
|| die "sed pyparsing failed"
sed -e 's:\(@pytest.mark.flaky\)(reruns=3):\1:' \
-i lib/matplotlib/tests/test_*.py || die
hprefixify setupext.py
rm -rf libqhull || die
export XDG_RUNTIME_DIR="${T}/runtime-dir"
mkdir "${XDG_RUNTIME_DIR}" || die
chmod 0700 "${XDG_RUNTIME_DIR}" || die
distutils-r1_python_prepare_all
}
python_configure_all() {
append-flags -fno-strict-aliasing
append-cppflags -DNDEBUG # or get old trying to do triangulation
tc-export PKG_CONFIG
}
python_configure() {
mkdir -p "${BUILD_DIR}" || die
# create setup.cfg (see setup.cfg.template for any changes).
# common switches.
cat > "${BUILD_DIR}"/setup.cfg <<- EOF || die
[directories]
basedirlist = ${EPREFIX}/usr
[provide_packages]
pytz = False
dateutil = False
[libs]
system_freetype = True
system_qhull = True
[packages]
tests = $(usex test True False)
[gui_support]
agg = True
gtk = False
gtkagg = False
macosx = False
pyside = False
pysideagg = False
qt4 = False
qt4agg = False
$(use_setup cairo)
$(use_setup gtk3)
$(use_setup qt5)
$(use_setup tk)
$(use_setup wxwidgets wx)
EOF
if use gtk3 && use cairo; then
echo "gtk3cairo = True" >> "${BUILD_DIR}"/setup.cfg || die
else
echo "gtk3cairo = False" >> "${BUILD_DIR}"/setup.cfg || die
fi
}
wrap_setup() {
local MAKEOPTS=-j1
local -x MPLSETUPCFG="${BUILD_DIR}"/setup.cfg
"$@"
}
python_compile() {
wrap_setup distutils-r1_python_compile --build-lib="${BUILD_DIR}"/lib
}
python_compile_all() {
if use doc; then
cd doc || die
# necessary for in-source build
local -x PYTHONPATH="${BUILD_DIR}"/build/lib:${PYTHONPATH}
VARTEXFONTS="${T}"/fonts \
emake SPHINXOPTS= O=-Dplot_formats=png:100 html
fi
}
src_test() {
virtx distutils-r1_src_test
}
python_test() {
# we need to rebuild mpl against bundled freetype, otherwise
# over 1000 tests will fail because of mismatched font rendering
grep -v system_freetype "${BUILD_DIR}"/setup.cfg \
> "${BUILD_DIR}"/test-setup.cfg || die
local -x MPLSETUPCFG="${BUILD_DIR}"/test-setup.cfg
ln -s "${WORKDIR}/freetype-${FT_PV}" "${BUILD_DIR}" || die
distutils-r1_python_compile -j1 --build-lib="${BUILD_DIR}"/test-lib
local -x PYTHONPATH=${BUILD_DIR}/test-lib:${PYTHONPATH}
"${EPYTHON}" -c "import sys, matplotlib as m; sys.exit(m.test(argv=['-m', 'not network'], verbosity=2))" || die
}
python_install() {
wrap_setup distutils-r1_python_install
# mpl_toolkits namespace
python_moduleinto mpl_toolkits
python_domodule lib/mpl_toolkits/__init__.py
}
python_install_all() {
use doc && local HTML_DOCS=( doc/build/html/. )
distutils-r1_python_install_all
if use examples; then
dodoc -r examples
docompress -x /usr/share/doc/${PF}/examples
fi
find "${D}" -name '*.pth' -delete || die
}

@ -39,7 +39,6 @@ RDEPEND="
>=dev-python/python-dateutil-2.7[${PYTHON_USEDEP}]
>=dev-python/pytz-2019.3[${PYTHON_USEDEP}]
>=dev-python/six-1.14.0[${PYTHON_USEDEP}]
dev-python/versioneer[${PYTHON_USEDEP}]
media-fonts/dejavu
media-fonts/stix-fonts
media-libs/freetype:2

@ -47,7 +47,6 @@ RDEPEND="
>=dev-python/python-dateutil-2.7[${PYTHON_USEDEP}]
>=dev-python/pytz-2019.3[${PYTHON_USEDEP}]
>=dev-python/six-1.14.0[${PYTHON_USEDEP}]
dev-python/versioneer[${PYTHON_USEDEP}]
media-fonts/dejavu
media-fonts/stix-fonts
media-libs/freetype:2

@ -1,286 +0,0 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( python3_{8..10} )
PYTHON_REQ_USE='tk?,threads(+)'
inherit distutils-r1 flag-o-matic multiprocessing prefix toolchain-funcs \
virtualx
FT_PV=2.6.1
DESCRIPTION="Pure python plotting library with matlab like syntax"
HOMEPAGE="
https://matplotlib.org/
https://github.com/matplotlib/matplotlib/
https://pypi.org/project/matplotlib/
"
SRC_URI="
mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz
test? (
https://downloads.sourceforge.net/project/freetype/freetype2/${FT_PV}/freetype-${FT_PV}.tar.gz
)
"
# Main license: matplotlib
# Some modules: BSD
# matplotlib/backends/qt4_editor: MIT
# Fonts: BitstreamVera, OFL-1.1
LICENSE="BitstreamVera BSD matplotlib MIT OFL-1.1"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
IUSE="cairo doc excel examples gtk3 latex qt5 tk webagg wxwidgets"
# internal copy of pycxx highly patched
# dev-python/pycxx
RDEPEND="
dev-python/certifi[${PYTHON_USEDEP}]
>=dev-python/cycler-0.10.0-r1[${PYTHON_USEDEP}]
>=dev-python/fonttools-4.22.0[${PYTHON_USEDEP}]
>=dev-python/kiwisolver-1.2.0[${PYTHON_USEDEP}]
>=dev-python/numpy-1.18.2[${PYTHON_USEDEP}]
>=dev-python/packaging-20.0[${PYTHON_USEDEP}]
>=dev-python/pillow-7.1.1[jpeg,${PYTHON_USEDEP}]
>=dev-python/pyparsing-2.2.1[${PYTHON_USEDEP}]
>=dev-python/python-dateutil-2.7[${PYTHON_USEDEP}]
>=dev-python/pytz-2019.3[${PYTHON_USEDEP}]
>=dev-python/six-1.14.0[${PYTHON_USEDEP}]
dev-python/versioneer[${PYTHON_USEDEP}]
media-fonts/dejavu
media-fonts/stix-fonts
media-libs/freetype:2
media-libs/libpng:0
>=media-libs/qhull-2013:=
virtual/imagemagick-tools[jpeg,tiff]
cairo? (
dev-python/cairocffi[${PYTHON_USEDEP}]
)
excel? (
dev-python/xlwt[${PYTHON_USEDEP}]
)
gtk3? (
>=dev-python/pygobject-3.40.1-r1:3[cairo?,${PYTHON_USEDEP}]
x11-libs/gtk+:3[introspection]
)
latex? (
virtual/latex-base
app-text/dvipng
app-text/ghostscript-gpl
app-text/poppler[utils]
dev-texlive/texlive-fontsrecommended
dev-texlive/texlive-latexextra
dev-texlive/texlive-luatex
dev-texlive/texlive-xetex
)
qt5? (
dev-python/PyQt5[gui,widgets,${PYTHON_USEDEP}]
)
webagg? (
>=www-servers/tornado-6.0.4[${PYTHON_USEDEP}]
)
wxwidgets? (
dev-python/wxpython:*[${PYTHON_USEDEP}]
)
"
BDEPEND="
${RDEPEND}
dev-python/setuptools_scm[${PYTHON_USEDEP}]
dev-python/setuptools_scm_git_archive[${PYTHON_USEDEP}]
virtual/pkgconfig
doc? (
>=app-text/dvipng-1.15-r1
>=dev-python/colorspacious-1.1.2[${PYTHON_USEDEP}]
>=dev-python/ipython-1.18.2[${PYTHON_USEDEP}]
>=dev-python/numpydoc-0.9.2[${PYTHON_USEDEP}]
>=dev-python/scipy-1.4.1[${PYTHON_USEDEP}]
>=dev-python/sphinx-1.3.1[${PYTHON_USEDEP}]
>=dev-python/sphinx-gallery-0.3.1-r1[${PYTHON_USEDEP}]
>=dev-python/xlwt-1.3.0-r1[${PYTHON_USEDEP}]
virtual/latex-base
dev-texlive/texlive-latexextra
dev-texlive/texlive-fontsrecommended
dev-texlive/texlive-latexrecommended
dev-texlive/texlive-luatex
dev-texlive/texlive-xetex
>=media-gfx/graphviz-2.42.3[cairo]
)
test? (
dev-python/mock[${PYTHON_USEDEP}]
dev-python/psutil[${PYTHON_USEDEP}]
dev-python/pytest-xdist[${PYTHON_USEDEP}]
>=dev-python/pygobject-3.40.1-r1:3[cairo?,${PYTHON_USEDEP}]
>=www-servers/tornado-6.0.4[${PYTHON_USEDEP}]
x11-libs/gtk+:3[introspection]
)
"
distutils_enable_tests pytest
pkg_setup() {
unset DISPLAY # bug #278524
}
use_setup() {
local uword="${2:-${1}}"
if use "${1}"; then
echo "${uword} = True"
echo "${uword}agg = True"
else
echo "${uword} = False"
echo "${uword}agg = False"
fi
}
python_prepare_all() {
# Generates test failures, but fedora does it
# local PATCHES=(
# "${FILESDIR}"/${P}-unbundle-pycxx.patch
# "${FILESDIR}"/${P}-unbundle-agg.patch
# )
# rm -r agg24 CXX || die
# rm -r agg24 || die
# cat > lib/${PN}/externals/six.py <<-EOF
# from __future__ import absolute_import
# from six import *
# EOF
local PATCHES=(
"${FILESDIR}"/matplotlib-3.3.3-disable-lto.patch
"${FILESDIR}"/matplotlib-3.5.2-test.patch
)
sed \
-e 's/matplotlib.pyparsing_py[23]/pyparsing/g' \
-i lib/matplotlib/{mathtext,fontconfig_pattern}.py \
|| die "sed pyparsing failed"
hprefixify setupext.py
rm -rf libqhull || die
export XDG_RUNTIME_DIR="${T}/runtime-dir"
mkdir "${XDG_RUNTIME_DIR}" || die
chmod 0700 "${XDG_RUNTIME_DIR}" || die
distutils-r1_python_prepare_all
}
python_configure_all() {
append-flags -fno-strict-aliasing
append-cppflags -DNDEBUG # or get old trying to do triangulation
tc-export PKG_CONFIG
}
python_configure() {
mkdir -p "${BUILD_DIR}" || die
# create setup.cfg (see setup.cfg.template for any changes).
# common switches.
cat > "${BUILD_DIR}"/setup.cfg <<- EOF || die
[directories]
basedirlist = ${EPREFIX}/usr
[provide_packages]
pytz = False
dateutil = False
[libs]
system_freetype = True
system_qhull = True
[packages]
tests = $(usex test True False)
[gui_support]
agg = True
gtk = False
gtkagg = False
macosx = False
pyside = False
pysideagg = False
qt4 = False
qt4agg = False
$(use_setup cairo)
$(use_setup gtk3)
$(use_setup qt5)
$(use_setup tk)
$(use_setup wxwidgets wx)
EOF
if use gtk3 && use cairo; then
echo "gtk3cairo = True" >> "${BUILD_DIR}"/setup.cfg || die
else
echo "gtk3cairo = False" >> "${BUILD_DIR}"/setup.cfg || die
fi
}
wrap_setup() {
local MAKEOPTS=-j1
local -x MPLSETUPCFG="${BUILD_DIR}"/setup.cfg
"$@"
}
python_compile() {
wrap_setup distutils-r1_python_compile --build-lib="${BUILD_DIR}"/lib
}
python_compile_all() {
if use doc; then
cd doc || die
# necessary for in-source build
local -x PYTHONPATH="${BUILD_DIR}"/build/lib:${PYTHONPATH}
VARTEXFONTS="${T}"/fonts \
emake SPHINXOPTS= O=-Dplot_formats=png:100 html
fi
}
src_test() {
mkdir build || die
ln -s "${WORKDIR}/freetype-${FT_PV}" build/ || die
virtx distutils-r1_src_test
}
python_test() {
local EPYTEST_DESELECT=(
# broken by -Wdefault
"tests/test_rcparams.py::test_validator_invalid[validate_strlist-arg6-MatplotlibDeprecationWarning]"
"tests/test_rcparams.py::test_validator_invalid[validate_strlist-arg7-MatplotlibDeprecationWarning]"
tests/test_testing.py::test_warn_to_fail
)
# we need to rebuild mpl against bundled freetype, otherwise
# over 1000 tests will fail because of mismatched font rendering
grep -v system_freetype "${BUILD_DIR}"/setup.cfg \
> "${BUILD_DIR}"/test-setup.cfg || die
local -x MPLSETUPCFG="${BUILD_DIR}"/test-setup.cfg
distutils-r1_python_compile -j1 --build-lib="${BUILD_DIR}"/test-lib
local -x PYTHONPATH=${BUILD_DIR}/test-lib:${PYTHONPATH}
# speed tests up
local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
nonfatal epytest --pyargs matplotlib -m "not network" \
-p xdist.plugin -n "$(makeopts_jobs)" || die
}
python_install() {
wrap_setup distutils-r1_python_install
# mpl_toolkits namespace
python_moduleinto mpl_toolkits
python_domodule lib/mpl_toolkits/__init__.py
}
python_install_all() {
use doc && local HTML_DOCS=( doc/build/html/. )
distutils-r1_python_install_all
if use examples; then
dodoc -r examples
docompress -x /usr/share/doc/${PF}/examples
fi
find "${D}" -name '*.pth' -delete || die
}

@ -22,7 +22,7 @@ S=${WORKDIR}/${MY_P}
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv"
KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv"
RDEPEND="
<dev-python/docutils-0.19[${PYTHON_USEDEP}]

@ -16,7 +16,7 @@ S="${WORKDIR}/PyDev.Debugger-${MY_P}"
LICENSE="EPL-1.0"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~m68k ppc ppc64 ~riscv ~s390 sparc x86"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ppc ppc64 ~riscv ~s390 sparc x86"
# After removing and recompiling the prebuilt lib the tests fail?
# For some reason the test suite is executing a slightly different gdb command

@ -1,88 +0,0 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{8..11} )
inherit distutils-r1 toolchain-funcs
MY_P="pydev_debugger_${PV//./_}"
DESCRIPTION="PyDev.Debugger (used in PyDev, PyCharm and VSCode Python)"
HOMEPAGE="https://github.com/fabioz/PyDev.Debugger/"
SRC_URI="https://github.com/fabioz/PyDev.Debugger/archive/${MY_P}.tar.gz"
S="${WORKDIR}/PyDev.Debugger-${MY_P}"
LICENSE="EPL-1.0"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ppc ppc64 ~riscv ~s390 sparc x86"
# After removing and recompiling the prebuilt lib the tests fail?
# For some reason the test suite is executing a slightly different gdb command
# then before, which is lacking the file name of the lib that was pre built:
# gdb: No symbol table is loaded. Use the "file" command
# This also happens outside of portage so it is not related to any *FLAGS
RESTRICT="test"
BDEPEND="
test? (
dev-python/untangle[${PYTHON_USEDEP}]
dev-python/numpy[${PYTHON_USEDEP}]
dev-python/psutil[${PYTHON_USEDEP}]
)
"
# Block against the version of debugpy that still bundles pydevd
RDEPEND="
!<dev-python/debugpy-1.4.2
sys-devel/gdb
"
distutils_enable_tests pytest
python_prepare_all() {
distutils-r1_python_prepare_all
# Drop -O3 and -flto compiler args
sed -i \
-e 's/extra_link_args = extra_compile_args\[\:\]/pass/g' \
-e '/extra_compile_args/d' \
setup.py || die
# Clean up some prebuilt files
rm -r third_party || die
cd pydevd_attach_to_process || die
# Remove these Windows files
rm attach_{amd64,x86}.dll || die
rm inject_dll_{amd64,x86}.exe || die
rm run_code_on_dllmain_{amd64,x86}.dll || die
rm -r windows winappdbg || die
# Remove these MacOS files
rm attach_x86_64.dylib || die
# Remove these prebuilt linux files
rm attach_linux_{amd64,x86}.so || die
cd linux_and_mac || die
rm compile_mac.sh || die
}
src_compile() {
pushd pydevd_attach_to_process/linux_and_mac || die
# recompile removed file (extracted from compile_linux.sh)
$(tc-getBUILD_CXX) ${CXXFLAGS} ${CPPFLAGS} -o "attach_linux_${ARCH}.so" \
${LDFLAGS} -nostartfiles attach.cpp -ldl || die
mv "attach_linux_${ARCH}.so" ../ || die
popd || die
python_foreach_impl distutils-r1_python_compile
}
python_install_all() {
distutils-r1_python_install_all
# Remove this duplicate that is installed directly to /usr/
# These files are also correctly installed to the python site-packages dir
rm -r "${ED}/usr/pydevd_attach_to_process" || die
}

@ -16,7 +16,7 @@ SRC_URI="
LICENSE="BSD"
SLOT="0"
KEYWORDS="amd64 x86"
KEYWORDS="amd64 ~riscv x86"
RDEPEND=">=sys-apps/util-linux-2.20"
DEPEND="${RDEPEND}"

@ -1,2 +1 @@
DIST python-ldap-3.4.0.tar.gz 376169 BLAKE2B f514ddb6267fd8c21a1c4595669921a1256a8087a3a272b3751636313e7d79de9d34f4213aa57128679dc5a93db4ef7a71f7f92894a1802deb8c2ca9dfd92fe2 SHA512 d10c10f1d416a0f67e7669c6c0b5460a3484bc31f4af471d581a9207689e5687c08d1ad78ba8d47e0ce0c35d24d79e4b848b4c503534f211a36c1b882bee3605
DIST python-ldap-3.4.0_p20220420.tar.gz 377780 BLAKE2B 433178138587dc09bfe1e6a8e894c001baf6e07c76266ca9d7c56b279f9e9ca5a642528a5869a837a9ee5576a2cf17afdeea313b4a8bc930926397738d6a5daf SHA512 0dfe8ff4737a630a08c7cd4d94f30c78fd1e0558ffc0609439d95ef064b72aef9d4ec4cdc0d40aaf1fc46396bdc0cbbdf0bf3cf6bb5e94bf8a9e3083b9ba1bf4

@ -1,33 +0,0 @@
From 536a7671151e3070481736e5d6159987df920d8b Mon Sep 17 00:00:00 2001
From: Simon Pichugin <spichugi@redhat.com>
Date: Wed, 9 Feb 2022 16:06:14 -0800
Subject: [PATCH] Always use 'ldap' library
---
setup.py | 4 +++-
1 file changed, 3 insertions(+), 1 deletion(-)
diff --git a/setup.py b/setup.py
index 119b571..851223e 100644
--- a/setup.py
+++ b/setup.py
@@ -37,6 +37,8 @@ if cfg.has_section('_ldap'):
for name in dir(LDAP_CLASS):
if cfg.has_option('_ldap', name):
setattr(LDAP_CLASS, name, cfg.get('_ldap', name).split())
+#-- Overwrite it as 'ldap' is the always correct library we have in Fedora 34+
+LDAP_CLASS.libs = ['ldap', 'lber']
for i in range(len(LDAP_CLASS.defines)):
LDAP_CLASS.defines[i]=((LDAP_CLASS.defines[i],None))
@@ -132,7 +134,7 @@ setup(
extra_objects = LDAP_CLASS.extra_objects,
runtime_library_dirs = (not sys.platform.startswith("win"))*LDAP_CLASS.library_dirs,
define_macros = LDAP_CLASS.defines + \
- ('ldap_r' in LDAP_CLASS.libs or 'oldap_r' in LDAP_CLASS.libs)*[('HAVE_LIBLDAP_R',None)] + \
+ ('ldap' in LDAP_CLASS.libs or 'oldap' in LDAP_CLASS.libs)*[('HAVE_LIBLDAP_R',None)] + \
('sasl' in LDAP_CLASS.libs or 'sasl2' in LDAP_CLASS.libs or 'libsasl' in LDAP_CLASS.libs)*[('HAVE_SASL',None)] + \
('ssl' in LDAP_CLASS.libs and 'crypto' in LDAP_CLASS.libs)*[('HAVE_TLS',None)] + \
[
--
2.31.1

@ -1,97 +0,0 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( pypy3 python3_{8..10} )
inherit distutils-r1
DESCRIPTION="Various LDAP-related Python modules"
HOMEPAGE="
https://www.python-ldap.org/en/latest/
https://pypi.org/project/python-ldap/
https://github.com/python-ldap/python-ldap"
if [[ ${PV} == *9999* ]]; then
EGIT_REPO_URI="https://github.com/python-ldap/python-ldap.git"
inherit git-r3
else
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~x86-solaris"
fi
LICENSE="MIT PSF-2"
SLOT="0"
IUSE="examples sasl ssl"
# < dep on openldap for bug #835637, ldap_r is gone
RDEPEND="
>=dev-python/pyasn1-0.3.7[${PYTHON_USEDEP}]
>=dev-python/pyasn1-modules-0.1.5[${PYTHON_USEDEP}]
>=net-nds/openldap-2.6:=[sasl?,ssl?]
"
# We do not link against cyrus-sasl but we use some
# of its headers during the build.
DEPEND="
>=net-nds/openldap-2.6:=[sasl?,ssl?]
sasl? ( >=dev-libs/cyrus-sasl-2.1 )
"
distutils_enable_tests pytest
distutils_enable_sphinx Doc
# Commit with this Patch from Fedora Rawhide
# https://src.fedoraproject.org/rpms/python-ldap/c/a237d9b212bd1581e07f4f1a8f54c26a7190843c?branch=rawhide
# Workaround till this PR is merged upstream
# https://github.com/python-ldap/python-ldap/pull/458
PATCHES=( "${FILESDIR}"/${P}-openldap-2.6.patch )
python_prepare_all() {
# The live ebuild won't compile if setuptools_scm < 1.16.2 is installed
# https://github.com/pypa/setuptools_scm/issues/228
if [[ ${PV} == *9999* ]]; then
rm -r .git || die
fi
if ! use sasl; then
sed -i 's/HAVE_SASL//g' setup.cfg || die
fi
if ! use ssl; then
sed -i 's/HAVE_TLS//g' setup.cfg || die
fi
distutils-r1_python_prepare_all
}
python_test() {
# Run all tests which don't require slapd
local EPYTEST_IGNORE=(
t_bind.py
t_cext.py
t_edit.py
t_ldapobject.py
t_ldap_options.py
t_ldap_sasl.py
t_ldap_schema_subentry.py
t_ldap_syncrepl.py
t_slapdobject.py
)
pushd Tests >/dev/null || die
epytest
popd > /dev/null || die
}
python_install() {
distutils-r1_python_install
python_optimize
}
python_install_all() {
if use examples; then
docinto examples
dodoc -r Demo/.
docompress -x /usr/share/doc/${PF}/examples
fi
distutils-r1_python_install_all
}

@ -1,88 +0,0 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( pypy3 python3_{7..10} )
inherit distutils-r1
DESCRIPTION="Various LDAP-related Python modules"
HOMEPAGE="https://www.python-ldap.org/en/latest/
https://pypi.org/project/python-ldap/
https://github.com/python-ldap/python-ldap"
if [[ ${PV} == *9999* ]]; then
EGIT_REPO_URI="https://github.com/python-ldap/python-ldap.git"
inherit git-r3
else
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ppc64 ~riscv sparc x86 ~x86-solaris"
fi
LICENSE="MIT PSF-2"
SLOT="0"
IUSE="examples sasl ssl"
# < dep on openldap for bug #835637, ldap_r is gone
RDEPEND="
>=dev-python/pyasn1-0.3.7[${PYTHON_USEDEP}]
>=dev-python/pyasn1-modules-0.1.5[${PYTHON_USEDEP}]
<net-nds/openldap-2.6:=[sasl?,ssl?]
"
# We do not link against cyrus-sasl but we use some
# of its headers during the build.
DEPEND="
<net-nds/openldap-2.6:=[sasl?,ssl?]
sasl? ( >=dev-libs/cyrus-sasl-2.1 )
"
distutils_enable_tests pytest
distutils_enable_sphinx Doc
python_prepare_all() {
# The live ebuild won't compile if setuptools_scm < 1.16.2 is installed
# https://github.com/pypa/setuptools_scm/issues/228
if [[ ${PV} == *9999* ]]; then
rm -r .git || die
fi
if ! use sasl; then
sed -i 's/HAVE_SASL//g' setup.cfg || die
fi
if ! use ssl; then
sed -i 's/HAVE_TLS//g' setup.cfg || die
fi
distutils-r1_python_prepare_all
}
python_test() {
# Run all tests which don't require slapd
local EPYTEST_IGNORE=(
t_bind.py
t_cext.py
t_edit.py
t_ldapobject.py
t_ldap_options.py
t_ldap_sasl.py
t_ldap_schema_subentry.py
t_ldap_syncrepl.py
t_slapdobject.py
)
pushd Tests >/dev/null || die
epytest
popd > /dev/null || die
}
python_install() {
distutils-r1_python_install
python_optimize
}
python_install_all() {
if use examples; then
docinto examples
dodoc -r Demo/.
docompress -x /usr/share/doc/${PF}/examples
fi
distutils-r1_python_install_all
}

@ -14,7 +14,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 x86 ~amd64-linux ~x86-linux"
KEYWORDS="amd64 ~riscv x86 ~amd64-linux ~x86-linux"
RDEPEND="dev-libs/lzo:2"
DEPEND="${RDEPEND}"

@ -0,0 +1 @@
DIST qpageview-0.6.2.gh.tar.gz 159098 BLAKE2B bd28acaf0f2a123963136acd32ce1a7ee72bba3c19f253af821b44e38bbf314ac3ccb48a8c96b06f484d399ed13bd3b8b3cf62e7b2a44d85edb38d04b60ceccf SHA512 80b1d6d4419594bcac195450ab030ab0b4fe3fe92dc9a6db598d1dd2282670f0d0b9d957b3c37313d7002f8f7dbc1bdd101edca81e5edca19c6e33ec4f6e4ffe

@ -0,0 +1,12 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="project">
<email>sound@gentoo.org</email>
<name>Gentoo Sound project</name>
</maintainer>
<upstream>
<remote-id type="github">wbsoft/qpageview</remote-id>
<remote-id type="pypi">qpageview</remote-id>
</upstream>
</pkgmetadata>

@ -0,0 +1,24 @@
# Copyright 2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{8..10} )
inherit distutils-r1 optfeature
DESCRIPTION="Page-based viewer widget for Qt5/PyQt5"
HOMEPAGE="https://qpageview.org/"
SRC_URI="https://github.com/frescobaldi/qpageview/archive/refs/tags/v${PV}.tar.gz -> ${P}.gh.tar.gz"
# GPL-2+ added here because of https://github.com/frescobaldi/qpageview/issues/15
# Should be GPL-3+ once cleared up
LICENSE="GPL-2+ GPL-3+"
SLOT="0"
KEYWORDS="~amd64 ~x86"
RDEPEND="dev-python/PyQt5[gui,printsupport,svg,widgets,${PYTHON_USEDEP}]
dev-python/python-poppler-qt5[${PYTHON_USEDEP}]"
pkg_postinst() {
optfeature "Printing support" dev-python/pycups
}

@ -1,2 +1 @@
DIST simplejson-3.17.5.tar.gz 83182 BLAKE2B 8fbaa83c81a7478b3c62c6625e717874f6dd3bef236b85504788a66d2b820dbf601e65edbcc7056528e67a66b806b3847b8efcc522464604bd4987dce9870643 SHA512 f5af32e4f9b4575323f9c0eb8163e794270a8607710d08a72cece953f57861e3619038798369ea049d82b9b53f293b9d9eefdeb4dd94ab4f043506bc3f1ddfad
DIST simplejson-3.17.6.tar.gz 83134 BLAKE2B 5aa9275673a0c8feab2a86f1bc85864791a847a7eda77ea6f3e4f8d8677ff88d2277ff659285d183d2d439c58e78b25846badb3a2fddbc959d40eb23273dfa2b SHA512 4a25032fcc78025d82db571716deef8769f036a330560f92e14563687db4a42dbe60866b8afb57baf24104ef94fcbe938cdbddfc169542664957eef2d00d04e3

@ -1,24 +0,0 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{8..11} pypy3 )
inherit distutils-r1
DESCRIPTION="Simple, fast, extensible JSON encoder/decoder for Python"
HOMEPAGE="
https://github.com/simplejson/simplejson/
https://pypi.org/project/simplejson/
"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="|| ( MIT AFL-2.1 )"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
DOCS=( README.rst CHANGES.txt )
distutils_enable_tests unittest

@ -1,19 +0,0 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( python3_{8..10} pypy3 )
inherit distutils-r1
DESCRIPTION="Simple, fast, extensible JSON encoder/decoder for Python"
HOMEPAGE="https://github.com/simplejson/simplejson https://pypi.org/project/simplejson/"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="|| ( MIT AFL-2.1 )"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
DOCS=( README.rst CHANGES.txt )
distutils_enable_tests unittest

@ -17,7 +17,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="|| ( MIT AFL-2.1 )"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
DOCS=( README.rst CHANGES.txt )

@ -20,7 +20,7 @@ SRC_URI="
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv"
KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv"
RDEPEND="
dev-python/pytest[${PYTHON_USEDEP}]

@ -15,7 +15,4 @@ LICENSE="BSD"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ppc ppc64 ~riscv ~s390 ~sparc x86 ~amd64-linux ~x86-linux"
BDEPEND="
dev-python/versioneer[${PYTHON_USEDEP}]"
distutils_enable_tests pytest

@ -54,11 +54,9 @@ python_test() {
return
fi
local EPYTEST_DESELECT=(
# TODO?
test/contrib/test_pyopenssl.py::TestHTTPS_TLSv1_3::test_verified
test/with_dummyserver/test_socketlevel.py::TestSocketClosing::test_timeout_errors_cause_retries
test/with_dummyserver/test_proxy_poolmanager.py::TestHTTPProxyManager::test_proxy_verified_warning
local EPYTEST_DESELECT=()
has "${EPYTHON}" python3.{8..10} && EPYTEST_DESELECT+=(
test/contrib/test_pyopenssl.py::TestPyOpenSSLHelpers::test_get_subj_alt_name
)
epytest

@ -0,0 +1,77 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# please keep this ebuild at EAPI 7 -- sys-apps/portage dep
EAPI=7
DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{8..11} pypy3 )
PYTHON_REQ_USE="ssl(+)"
inherit distutils-r1
DESCRIPTION="HTTP library with thread-safe connection pooling, file post, and more"
HOMEPAGE="
https://github.com/urllib3/urllib3/
https://pypi.org/project/urllib3/
"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="brotli test"
RESTRICT="!test? ( test )"
# dev-python/{pyopenssl,cryptography,idna,certifi} are optional runtime
# dependencies. Do not add them to RDEPEND. They should be unnecessary with
# modern versions of python (>= 3.2).
RDEPEND="
>=dev-python/PySocks-1.5.8[${PYTHON_USEDEP}]
<dev-python/PySocks-2.0[${PYTHON_USEDEP}]
brotli? ( dev-python/brotlicffi[${PYTHON_USEDEP}] )
"
BDEPEND="
test? (
$(python_gen_cond_dep "
${RDEPEND}
dev-python/brotlicffi[\${PYTHON_USEDEP}]
dev-python/mock[\${PYTHON_USEDEP}]
dev-python/pytest[\${PYTHON_USEDEP}]
dev-python/pytest-freezegun[\${PYTHON_USEDEP}]
>=dev-python/trustme-0.5.3[\${PYTHON_USEDEP}]
>=www-servers/tornado-4.2.1[\${PYTHON_USEDEP}]
" python3_{8..11})
)
"
src_prepare() {
distutils-r1_src_prepare
# unbundle urllib3
rm src/urllib3/packages/six.py || die
find -name '*.py' -exec sed -i \
-e 's:\([.]*\|urllib3\.\)\?packages\.six:six:g' \
-e 's:from \([.]*\|urllib3\.\)\?packages import six:import six:g' \
{} + || die
}
python_test() {
local -x CI=1
# FIXME: get tornado ported
# please keep in sync with BDEPEND!
if ! has "${EPYTHON}" python3.{8..11}; then
einfo "Skipping tests on ${EPYTHON}"
return
fi
local EPYTEST_DESELECT=(
# unstable (relies on warning count)
test/with_dummyserver/test_proxy_poolmanager.py::TestHTTPProxyManager::test_proxy_verified_warning
)
has "${EPYTHON}" python3.{8..10} && EPYTEST_DESELECT+=(
test/contrib/test_pyopenssl.py::TestPyOpenSSLHelpers::test_get_subj_alt_name
)
epytest
}

@ -25,7 +25,6 @@ RDEPEND="
"
BDEPEND="
dev-python/cython[${PYTHON_USEDEP}]
dev-python/versioneer[${PYTHON_USEDEP}]
"
RESTRICT="test"

@ -0,0 +1,33 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( pypy3 python3_{8..10} )
inherit distutils-r1
MY_P="${PN^}-${PV}"
DESCRIPTION="Ctypes-based simple ImageMagick binding for Python"
HOMEPAGE="http://wand-py.org/"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${MY_P}.tar.gz"
S="${WORKDIR}/${MY_P}"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~x86"
RDEPEND="media-gfx/imagemagick"
BDEPEND="
test? (
media-gfx/imagemagick[fftw,jpeg,png,truetype,xml]
)
"
distutils_enable_sphinx docs
distutils_enable_tests pytest
python_test() {
# PDF support is blocked by the default ImageMagick security policy
epytest --skip-pdf
}

@ -0,0 +1,114 @@
From 0f175003480b666fba78a5eda8dbc1dee07917dd Mon Sep 17 00:00:00 2001
From: Javier Cacheiro <javier.cacheiro.lopez@cesga.es>
Date: Wed, 25 May 2022 12:40:29 +0200
Subject: [PATCH] Support for jwcrypto>=1.3
---
tests/test_token_plugins.py | 20 ++++++++++----------
websockify/token_plugins.py | 4 ++--
2 files changed, 12 insertions(+), 12 deletions(-)
diff --git a/tests/test_token_plugins.py b/tests/test_token_plugins.py
index 00078c7..3e1fd19 100644
--- a/tests/test_token_plugins.py
+++ b/tests/test_token_plugins.py
@@ -4,7 +4,7 @@
import unittest
from unittest.mock import patch, mock_open, MagicMock
-from jwcrypto import jwt
+from jwcrypto import jwt, jwk
from websockify.token_plugins import ReadOnlyTokenFile, JWTTokenApi, TokenRedis
@@ -56,7 +56,7 @@ class JWSTokenTestCase(unittest.TestCase):
def test_asymmetric_jws_token_plugin(self):
plugin = JWTTokenApi("./tests/fixtures/public.pem")
- key = jwt.JWK()
+ key = jwk.JWK()
private_key = open("./tests/fixtures/private.pem", "rb").read()
key.import_from_pem(private_key)
jwt_token = jwt.JWT({"alg": "RS256"}, {'host': "remote_host", 'port': "remote_port"})
@@ -71,7 +71,7 @@ def test_asymmetric_jws_token_plugin(self):
def test_asymmetric_jws_token_plugin_with_illigal_key_exception(self):
plugin = JWTTokenApi("wrong.pub")
- key = jwt.JWK()
+ key = jwk.JWK()
private_key = open("./tests/fixtures/private.pem", "rb").read()
key.import_from_pem(private_key)
jwt_token = jwt.JWT({"alg": "RS256"}, {'host': "remote_host", 'port': "remote_port"})
@@ -85,7 +85,7 @@ def test_asymmetric_jws_token_plugin_with_illigal_key_exception(self):
def test_jwt_valid_time(self, mock_time):
plugin = JWTTokenApi("./tests/fixtures/public.pem")
- key = jwt.JWK()
+ key = jwk.JWK()
private_key = open("./tests/fixtures/private.pem", "rb").read()
key.import_from_pem(private_key)
jwt_token = jwt.JWT({"alg": "RS256"}, {'host': "remote_host", 'port': "remote_port", 'nbf': 100, 'exp': 200 })
@@ -102,7 +102,7 @@ def test_jwt_valid_time(self, mock_time):
def test_jwt_early_time(self, mock_time):
plugin = JWTTokenApi("./tests/fixtures/public.pem")
- key = jwt.JWK()
+ key = jwk.JWK()
private_key = open("./tests/fixtures/private.pem", "rb").read()
key.import_from_pem(private_key)
jwt_token = jwt.JWT({"alg": "RS256"}, {'host': "remote_host", 'port': "remote_port", 'nbf': 100, 'exp': 200 })
@@ -117,7 +117,7 @@ def test_jwt_early_time(self, mock_time):
def test_jwt_late_time(self, mock_time):
plugin = JWTTokenApi("./tests/fixtures/public.pem")
- key = jwt.JWK()
+ key = jwk.JWK()
private_key = open("./tests/fixtures/private.pem", "rb").read()
key.import_from_pem(private_key)
jwt_token = jwt.JWT({"alg": "RS256"}, {'host': "remote_host", 'port': "remote_port", 'nbf': 100, 'exp': 200 })
@@ -132,7 +132,7 @@ def test_symmetric_jws_token_plugin(self):
plugin = JWTTokenApi("./tests/fixtures/symmetric.key")
secret = open("./tests/fixtures/symmetric.key").read()
- key = jwt.JWK()
+ key = jwk.JWK()
key.import_key(kty="oct",k=secret)
jwt_token = jwt.JWT({"alg": "HS256"}, {'host': "remote_host", 'port': "remote_port"})
jwt_token.make_signed_token(key)
@@ -147,7 +147,7 @@ def test_symmetric_jws_token_plugin_with_illigal_key_exception(self):
plugin = JWTTokenApi("wrong_sauce")
secret = open("./tests/fixtures/symmetric.key").read()
- key = jwt.JWK()
+ key = jwk.JWK()
key.import_key(kty="oct",k=secret)
jwt_token = jwt.JWT({"alg": "HS256"}, {'host': "remote_host", 'port': "remote_port"})
jwt_token.make_signed_token(key)
@@ -159,8 +159,8 @@ def test_symmetric_jws_token_plugin_with_illigal_key_exception(self):
def test_asymmetric_jwe_token_plugin(self):
plugin = JWTTokenApi("./tests/fixtures/private.pem")
- private_key = jwt.JWK()
- public_key = jwt.JWK()
+ private_key = jwk.JWK()
+ public_key = jwk.JWK()
private_key_data = open("./tests/fixtures/private.pem", "rb").read()
public_key_data = open("./tests/fixtures/public.pem", "rb").read()
private_key.import_from_pem(private_key_data)
diff --git a/websockify/token_plugins.py b/websockify/token_plugins.py
index 4dc29de..19005d3 100644
--- a/websockify/token_plugins.py
+++ b/websockify/token_plugins.py
@@ -103,10 +103,10 @@ class JWTTokenApi(BasePlugin):
def lookup(self, token):
try:
- from jwcrypto import jwt
+ from jwcrypto import jwt, jwk
import json
- key = jwt.JWK()
+ key = jwk.JWK()
try:
with open(self.source, 'rb') as key_file:

@ -3,7 +3,7 @@
EAPI=8
PYTHON_COMPAT=( python3_{8..10} )
PYTHON_COMPAT=( python3_{8..11} )
inherit distutils-r1
DESCRIPTION="WebSockets support for any application/server"
@ -19,15 +19,16 @@ KEYWORDS="amd64 ~arm64 ~riscv x86"
RDEPEND="dev-python/numpy[${PYTHON_USEDEP}]"
BDEPEND="test? ( dev-python/jwcrypto[${PYTHON_USEDEP}] )"
PATCHES=(
"${FILESDIR}/${P}-fix-jwcrypto-1.3.patch"
)
distutils_enable_tests pytest
python_test() {
local deselect=(
# TODO: incompatible with current jwcrypto? (not a regression)
tests/test_token_plugins.py::JWSTokenTestCase::test_asymmetric_jwe_token_plugin
)
epytest ${deselect[@]/#/--deselect }
}
EPYTEST_DESELECT=(
# TODO: incompatible with current jwcrypto? (not a regression)
tests/test_token_plugins.py::JWSTokenTestCase::test_asymmetric_jwe_token_plugin
)
python_install_all() {
doman docs/${PN}.1

@ -0,0 +1,21 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{8..10} )
inherit distutils-r1
DESCRIPTION="Easy anonymous functions by partial application of operators"
HOMEPAGE="https://github.com/Suor/whatever"
SRC_URI="
https://github.com/Suor/whatever/archive/${PV}.tar.gz
-> ${P}.gh.tar.gz
"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~x86"
distutils_enable_tests pytest

@ -0,0 +1,21 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{8..11} )
inherit distutils-r1
DESCRIPTION="Cross-platform cross-python shutil.which functionality"
HOMEPAGE="https://github.com/cookiecutter/whichcraft"
SRC_URI="https://github.com/cookiecutter/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64"
DOCS=( README.rst HISTORY.rst CONTRIBUTING.rst )
distutils_enable_tests pytest

@ -1,3 +1 @@
DIST wrapt-1.13.2.tar.gz 130624 BLAKE2B 7ad74653208042326630ae4464494fcdd5299b35a42d495a16a3cbd68bb60fe5ea17f3e95eac85d98142fe339a593a8cda7e3182ce2a6e96f6ba2bb204a1fc46 SHA512 14648465745af7972ffd449783a24a4b5bf8187cbee517d3427825409bd5d073e3153a0c61f5583b84fc6ca2c48479ebf112977ce340369019a617559d09dfc0
DIST wrapt-1.14.0.tar.gz 133565 BLAKE2B 7548183c4b0b566df3a96cb309b44975a633976f6b56a332d87587dbce5bfaf80cbbfc692ef163118794c1d8e44995ef4750748990ab3e6f5f87968df44f02aa SHA512 ef31279873688208bb17d875a3bbdba3d506f5d9febeae28f1bdb740830395d86aa21dcbe747d592f098b745e5a599c352e122a642f923eab0eb39a30f19695d
DIST wrapt-1.14.1.gh.tar.gz 133767 BLAKE2B 407a9531f581b034be7fe4392dcbf94803aa9c3a82d7c392750dfef62a5cbb84582e292819bf749356fad2b6e98cc89777df0f3b0f4ca70422e75b72ad256711 SHA512 c67e99eb29afeefb2512fb545cd180b8e96f69235d6281edebe62ea5e411188a904a7e683afdda2d6a86cf8b7fd74f79a3c3bec04e19a7c5ef347729bb43f94c

@ -1,26 +0,0 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{8..10} pypy3 )
inherit distutils-r1
DESCRIPTION="Module for decorators, wrappers and monkey patching"
HOMEPAGE="https://github.com/GrahamDumpleton/wrapt"
SRC_URI="https://github.com/GrahamDumpleton/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~x64-macos"
distutils_enable_tests pytest
distutils_enable_sphinx docs dev-python/sphinx_rtd_theme
python_compile() {
local WRAPT_EXTENSIONS=true
distutils-r1_python_compile
}

@ -1,26 +0,0 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{8..10} pypy3 )
inherit distutils-r1
DESCRIPTION="Module for decorators, wrappers and monkey patching"
HOMEPAGE="https://github.com/GrahamDumpleton/wrapt"
SRC_URI="https://github.com/GrahamDumpleton/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~x64-macos"
distutils_enable_tests pytest
distutils_enable_sphinx docs dev-python/sphinx_rtd_theme
python_compile() {
local WRAPT_EXTENSIONS=true
distutils-r1_python_compile
}

@ -4,7 +4,7 @@
EAPI=8
DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{8..10} pypy3 )
PYTHON_COMPAT=( python3_{8..11} pypy3 )
inherit distutils-r1

Binary file not shown.

@ -0,0 +1 @@
DIST linux-5.18.tar.xz 129790264 BLAKE2B e2745a69eb70169e90505a9318a3993046eab3020496eecde7d8352ecda0eb71a25b21becf7ce93fc593507dce7d1cd61b94ddcdf82b3094d79c0d3d48508eeb SHA512 dbbc9d1395898a498fa4947fceda1781344fa5d360240f753810daa4fa88e519833e2186c4e582a8f1836e6413e9e85f6563c7770523b704e8702d67622f98b5

@ -0,0 +1,108 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit estack linux-info
DESCRIPTION="Bootconfig tools for kernel command line to support key-value"
HOMEPAGE="https://kernel.org/"
LINUX_V="${PV:0:1}.x"
if [[ ${PV} == *_rc* ]] ; then
LINUX_VER=$(ver_cut 1-2).$(($(ver_cut 3)-1))
PATCH_VERSION=$(ver_cut 1-3)
LINUX_PATCH=patch-${PV//_/-}.xz
SRC_URI="https://www.kernel.org/pub/linux/kernel/v${LINUX_V}/testing/${LINUX_PATCH}
https://www.kernel.org/pub/linux/kernel/v${LINUX_V}/testing/v${PATCH_VERSION}/${LINUX_PATCH}"
elif [[ ${PV} == *.*.* ]] ; then
# stable-release series
LINUX_VER=$(ver_cut 1-2)
LINUX_PATCH=patch-${PV}.xz
SRC_URI="https://www.kernel.org/pub/linux/kernel/v${LINUX_V}/${LINUX_PATCH}"
else
LINUX_VER=${PV}
SRC_URI=""
fi
LINUX_SOURCES="linux-${LINUX_VER}.tar.xz"
SRC_URI+=" https://www.kernel.org/pub/linux/kernel/v${LINUX_V}/${LINUX_SOURCES}"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~riscv"
IUSE="examples"
BDEPEND="
${LINUX_PATCH+dev-util/patchutils}
"
RDEPEND=""
DEPEND="${RDEPEND}
>=sys-kernel/linux-headers-5.10
"
S_K="${WORKDIR}/linux-${LINUX_VER}"
S="${S_K}/tools/bootconfig"
CONFIG_CHECK="~BOOT_CONFIG"
PATCHES=( "${FILESDIR}"/${P}-cflags.patch )
src_unpack() {
local paths=(
tools/arch tools/build tools/include tools/lib tools/bootconfig tools/scripts
scripts include lib "arch/*/lib"
)
# We expect the tar implementation to support the -j option (both
# GNU tar and libarchive's tar support that).
echo ">>> Unpacking ${LINUX_SOURCES} (${paths[*]}) to ${PWD}"
tar --wildcards -xpf "${DISTDIR}"/${LINUX_SOURCES} \
"${paths[@]/#/linux-${LINUX_VER}/}" || die
if [[ -n ${LINUX_PATCH} ]] ; then
eshopts_push -o noglob
ebegin "Filtering partial source patch"
filterdiff -p1 ${paths[@]/#/-i } -z "${DISTDIR}"/${LINUX_PATCH} \
> ${P}.patch
eend $? || die "filterdiff failed"
eshopts_pop
fi
local a
for a in ${A}; do
[[ ${a} == ${LINUX_SOURCES} ]] && continue
[[ ${a} == ${LINUX_PATCH} ]] && continue
unpack ${a}
done
}
src_prepare() {
default
if [[ -n ${LINUX_PATCH} ]] ; then
pushd "${S_K}" >/dev/null || die
eapply "${WORKDIR}"/${P}.patch
popd || die
fi
}
src_compile() {
emake bootconfig
}
src_test() {
:
}
src_install() {
dobin bootconfig
if use examples; then
dodoc -r scripts
docinto examples
dodoc -r samples/*
fi
}

@ -0,0 +1,13 @@
diff --git a/Makefile b/Makefile
index 566c3e0..21818c7 100644
--- a/Makefile
+++ b/Makefile
@@ -10,7 +10,7 @@ srctree := $(patsubst %/,%,$(dir $(srctree)))
endif
LIBSRC = $(srctree)/lib/bootconfig.c $(srctree)/include/linux/bootconfig.h
-CFLAGS = -Wall -g -I$(CURDIR)/include
+CFLAGS += -Wall -I$(CURDIR)/include
ALL_TARGETS := bootconfig
ALL_PROGRAMS := $(patsubst %,$(OUTPUT)%,$(ALL_TARGETS))

@ -0,0 +1,13 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>dlan@gentoo.org</email>
<name>Yixun Lan</name>
</maintainer>
<longdescription>
The boot configuration expands the current kernel command line to support
additional key-value data when booting the kernel in an efficient way.
This allows administrators to pass a structured-Key config file.
</longdescription>
</pkgmetadata>

@ -25,16 +25,15 @@ RESTRICT="bindist mirror"
RDEPEND="
<sys-devel/gcc-12_pre[cxx]
>=x11-drivers/nvidia-drivers-450.80.02
debugger? (
dev-libs/openssl
)
nsight? (
dev-libs/libpfm
dev-libs/openssl
|| (
dev-libs/openssl-compat:1.1.1
=dev-libs/openssl-1.1.1*
)
sys-libs/zlib
)
vis-profiler? (
dev-libs/openssl
>=virtual/jre-1.8:*
)"

Binary file not shown.

@ -1,4 +1,4 @@
# Copyright 1999-2021 Gentoo Authors
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@ -15,7 +15,7 @@ if [[ ${PV} == 9999 ]]; then
EGIT_REPO_URI="https://github.com/widelands/widelands.git"
else
SRC_URI="https://github.com/widelands/widelands/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
KEYWORDS="~amd64 ~x86"
KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
fi
LICENSE="|| ( Apache-2.0 GPL-3 ) BitstreamVera CC-BY-SA-3.0 GPL-2 GPL-2+ MIT OFL-1.1 ZLIB"

Binary file not shown.

@ -14,7 +14,7 @@ if [[ ${PV} == *9999* ]] ; then
else
SRC_URI="https://github.com/resurrecting-open-source-projects/${PN}/releases/download/${PV}/${P}.tar.gz"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ppc ppc64 ~riscv ~sparc x86"
KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ppc ppc64 ~riscv ~sparc x86"
fi
LICENSE="feh LGPL-2+"

Binary file not shown.

@ -0,0 +1,32 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( python3_{8..10} )
inherit distutils-r1 xdg
DESCRIPTION="A LilyPond sheet music text editor"
HOMEPAGE="https://www.frescobaldi.org/"
SRC_URI="https://github.com/wbsoft/${PN}/releases/download/v${PV}/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
DEPEND="
dev-python/PyQt5[gui,network,printsupport,svg,widgets,${PYTHON_USEDEP}]
dev-python/PyQtWebEngine[${PYTHON_USEDEP}]
dev-python/python-ly[${PYTHON_USEDEP}]
dev-python/python-poppler-qt5[${PYTHON_USEDEP}]
dev-python/qpageview[${PYTHON_USEDEP}]
media-sound/lilypond"
RDEPEND="${DEPEND}
x11-themes/tango-icon-theme
"
python_prepare_all() {
rm -r frescobaldi_app/icons/Tango || die "failed to remove tango icon theme"
distutils-r1_python_prepare_all
}

@ -3,7 +3,7 @@
EAPI=8
PYTHON_COMPAT=( python3_{8..9} )
PYTHON_COMPAT=( python3_{8..10} )
inherit distutils-r1 xdg
DESCRIPTION="A LilyPond sheet music text editor"

Binary file not shown.

@ -1 +1 @@
Fri, 17 Jun 2022 10:39:51 +0000
Fri, 17 Jun 2022 15:09:49 +0000

@ -1 +1 @@
Fri, 17 Jun 2022 10:39:51 +0000
Fri, 17 Jun 2022 15:09:49 +0000

Binary file not shown.

@ -5,7 +5,7 @@ EAPI=8
HOMEPAGE=https://github.com/mgorny/eclean-kernel/
INHERIT=distutils-r1
IUSE=lz4 lzo zstd test python_targets_python3_8 python_targets_python3_9 python_targets_python3_10
KEYWORDS=amd64 x86
KEYWORDS=amd64 ~riscv x86
LICENSE=BSD
RDEPEND=kernel_linux? ( dev-python/pymountboot[python_targets_python3_8(-)?,python_targets_python3_9(-)?,python_targets_python3_10(-)?] ) lz4? ( dev-python/lz4[python_targets_python3_8(-)?,python_targets_python3_9(-)?,python_targets_python3_10(-)?] ) lzo? ( dev-python/python-lzo[python_targets_python3_8(-)?,python_targets_python3_9(-)?,python_targets_python3_10(-)?] ) zstd? ( dev-python/zstandard[python_targets_python3_8(-)?,python_targets_python3_9(-)?,python_targets_python3_10(-)?] ) python_targets_python3_8? ( >=dev-lang/python-3.8.12_p1-r1:3.8 ) python_targets_python3_9? ( >=dev-lang/python-3.9.9-r1:3.9 ) python_targets_python3_10? ( >=dev-lang/python-3.10.0_p1-r1:3.10 )
REQUIRED_USE=|| ( python_targets_python3_8 python_targets_python3_9 python_targets_python3_10 )
@ -13,4 +13,4 @@ RESTRICT=!test? ( test )
SLOT=0
SRC_URI=https://github.com/mgorny/eclean-kernel/archive/v2.99.3.tar.gz -> eclean-kernel-2.99.3.tar.gz
_eclasses_=distutils-r1 10a93585889c3ca7651cbcd2ee831e47 multibuild d26d81f242cb193d899a72bca423d0bd multilib 4fbbbc98f236f1b43acd99476bc3cd85 multiprocessing b4e253ab22cef7b1085e9b67c7a3b730 python-r1 e2883e4f04f0503cdf7f2954e2bf5e15 python-utils-r1 648fe6a039e87233d7f48da72cadb76f toolchain-funcs fd9cde67030b26e479eeadaced488253
_md5_=a984831b8c9412af5e6327115ccd0861
_md5_=3e3294fb9e3b6f220e1f876087378c75

Some files were not shown because too many files have changed in this diff Show More

Loading…
Cancel
Save